Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
systemd and udev (again)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
woodshop
n00b
n00b


Joined: 15 Feb 2004
Posts: 34

PostPosted: Sat Jun 07, 2014 4:20 am    Post subject: systemd and udev (again) Reply with quote

I hate to look or sound like a broken record, but i did try searching and found the upower pulling in systemd issue.
My issue is backwards though, i have gnome system, and i run systemd, however i'm getting udev pulled in somehow.

Code:

# emerge --update --newuse --deep --with-bdeps=y @world -v --tree -p

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[nomerge       ] gnome-base/gnome-3.10.0:2.0  USE="bluetooth cdr classic cups extras -accessibility"
[nomerge       ]  gnome-base/gnome-extra-apps-3.10.0-r1:3.0  USE="games shotwell tracker"
[nomerge       ]   gnome-extra/gnome-power-manager-3.10.1  USE="{-test}"
[ebuild     U  ]    sys-power/upower-0.9.23-r3 [0.9.23-r2] USE="introspection -doc -ios (-systemd%*)" 416 kB
[ebuild     U  ]     sys-apps/systemd-212-r5:0/2 [208-r3:0/1] USE="acl filecaps firmware-loader gudev introspection kmod pam policykit python seccomp%* -audit -cryptsetup -doc -gcrypt -http (-kdbus) -lzma -qrcode (-selinux) (-ssl) {-test} -vanilla -xattr (-tcpd%*)" ABI_X86="(64) (-32) (-x32)" PYTHON_SINGLE_TARGET="python2_7 -python3_2 -python3_3" PYTHON_TARGETS="python2_7 python3_3 -python3_2" 2,659 kB
[ebuild  N     ]     virtual/udev-208-r2  USE="gudev introspection (-static-libs)" ABI_X86="(64) (-32) (-x32)" 0 kB
[ebuild  N     ]      virtual/libudev-208:0/1  USE="static-libs" ABI_X86="(64) (-32) (-x32)" 0 kB
[ebuild  N     ]      virtual/libgudev-208  USE="introspection static-libs" ABI_X86="(64) (-32) (-x32)" 0 kB
[ebuild  N     ]       sys-fs/udev-212-r1  USE="acl firmware-loader gudev introspection kmod static-libs -doc (-selinux)" ABI_X86="(64) (-32) (-x32)" 1 kB
[ebuild   R    ]        dev-libs/glib-2.38.2-r1:2  USE="(mime%*) static-libs -debug (-fam) (-selinux) -systemtap {-test} -utils -xattr" ABI_X86="(64) (-32) (-x32)" PYTHON_TARGETS="python2_7 (-python2_6)" 8,447 kB
[nomerge       ] www-client/firefox-24.5.0  USE="alsa dbus gstreamer jit libnotify minimal pulseaudio startup-notification -bindist -custom-cflags -custom-optimization -debug (-pgo) (-selinux) -system-cairo -system-icu -system-jpeg -system-sqlite {-test} -wifi" LINGUAS="-af -ak -ar -as -ast -be -bg -bn_BD -bn_IN -br -bs -ca -cs -csb -cy -da -de -el -en_GB -en_ZA -eo -es_AR -es_CL -es_ES -es_MX -et -eu -fa -fi -fr -fy_NL -ga_IE -gd -gl -gu_IN -he -hi_IN -hr -hu -hy_AM -id -is -it -ja -kk -km -kn -ko -ku -lg -lt -lv -mai -mk -ml -mr -nb_NO -nl -nn_NO -nso -or -pa_IN -pl -pt_BR -pt_PT -rm -ro -ru -si -sk -sl -son -sq -sr -sv_SE -ta -ta_LK -te -th -tr -uk -vi -zh_CN -zh_TW -zu"
[nomerge       ]  media-plugins/gst-plugins-meta-0.10-r8:0.10  USE="X a52 aac alsa cdda dts dvd ffmpeg flac mp3 mpeg ogg pulseaudio vorbis x264 xv xvid -dv -dvb -http -jack -lame -libass -libvisual -mms -musepack -opus -oss -taglib -theora -v4l -vcd -vpx -wavpack"
[nomerge       ]   media-plugins/gst-plugins-ffmpeg-0.10.13_p201211-r1:0.10  USE="orc"
[nomerge       ]    media-video/ffmpeg-1.0.8  USE="X aac alsa amr bzip2 encode faac hardcoded-tables jpeg2k mmx mp3 network oss pulseaudio schroedinger sdl speex ssse3 static-libs theora threads truetype v4l vdpau vorbis x264 xvid zlib -3dnow -3dnowext -aacplus (-altivec) -avx -bindist -bluray -cdio (-celt) -cpudetection -debug -doc -examples -fdk -flite -fontconfig -frei0r -gnutls -gsm -iec61883 -ieee1394 -jack -libass -libcaca -libv4l -mmxext -modplug (-neon) -openal -openssl -opus -pic -rtmp {-test} -twolame -vaapi (-vis) -vpx" FFTOOLS="aviocat cws2fws ffeval fourcc2pixfmt graph2dot ismindex pktdumper qt-faststart trasher"
[ebuild     U  ]     x11-libs/libvdpau-0.7 [0.5] USE="dri -doc" ABI_X86="(64%*) (-32) (-x32)" 476 kB
[ebuild  NS    ] sys-kernel/gentoo-sources-3.12.21-r1:3.12.21-r1 [3.10.7-r1:3.10.7-r1, 3.12.20:3.12.20] USE="-build -deblob -experimental -symlink" 75,196 kB
[nomerge       ] sys-apps/systemd-212-r5:0/2 [208-r3:0/1] USE="acl filecaps firmware-loader gudev introspection kmod pam policykit python seccomp%* -audit -cryptsetup -doc -gcrypt -http (-kdbus) -lzma -qrcode (-selinux) (-ssl) {-test} -vanilla -xattr (-tcpd%*)" ABI_X86="(64) (-32) (-x32)" PYTHON_SINGLE_TARGET="python2_7 -python3_2 -python3_3" PYTHON_TARGETS="python2_7 python3_3 -python3_2"
[ebuild  N     ]  dev-python/lxml-3.3.5  USE="threads -beautifulsoup3 -doc -examples" PYTHON_TARGETS="python2_7 python3_3 -python3_2 (-python3_4)" 3,387 kB
[nomerge       ] media-video/mediainfo-0.7.65  USE="wxwidgets -curl -mms"
[nomerge       ]  x11-libs/wxGTK-2.8.12.1-r1:2.8  USE="X gnome gstreamer opengl sdl tiff (-aqua) -debug -doc -odbc -pch"
[nomerge       ]   gnome-base/libgnomeprintui-2.18.6:2.2  USE="-doc"
[nomerge       ]    gnome-base/libgnomeprint-2.18.8:2.2  USE="cups -doc"
[nomerge       ]     net-print/libgnomecups-0.2.3-r3  USE="-debug"
[nomerge       ]      net-print/cups-1.7.1-r1  USE="X acl dbus pam python ssl static-libs systemd threads usb -debug -gnutls -java -kerberos -lprng-compat (-selinux) -xinetd -zeroconf" LINGUAS="-ca -es -fr -it -ja -ru" PYTHON_SINGLE_TARGET="python2_7 (-python2_6)" PYTHON_TARGETS="python2_7 (-python2_6)"
[nomerge       ]       x11-misc/xdg-utils-1.1.0_rc2  USE="perl -doc"
[nomerge       ]        www-client/lynx-2.8.8_rc1  USE="bzip2 ipv6 nls ssl unicode -cjk -gnutls -idn"
[ebuild     U  ]         dev-libs/openssl-1.0.1h-r1 [1.0.1g] USE="(sse2) static-libs tls-heartbeat zlib -bindist -gmp -kerberos -rfc3779 {-test} -vanilla" 4,375 kB
[nomerge       ] sys-apps/systemd-212-r5:0/2 [208-r3:0/1] USE="acl filecaps firmware-loader gudev introspection kmod pam policykit python seccomp%* -audit -cryptsetup -doc -gcrypt -http (-kdbus) -lzma -qrcode (-selinux) (-ssl) {-test} -vanilla -xattr (-tcpd%*)" ABI_X86="(64) (-32) (-x32)" PYTHON_SINGLE_TARGET="python2_7 -python3_2 -python3_3" PYTHON_TARGETS="python2_7 python3_3 -python3_2"
[ebuild  N     ]  sys-libs/libseccomp-2.1.1  USE="static-libs" 111 kB
[blocks B      ] sys-apps/systemd ("sys-apps/systemd" is blocking sys-fs/udev-212-r1)
[blocks B      ] sys-fs/udev ("sys-fs/udev" is blocking sys-apps/gentoo-systemd-integration-4, sys-apps/systemd-212-r5)
[blocks B      ] sys-apps/gentoo-systemd-integration ("sys-apps/gentoo-systemd-integration" is blocking sys-fs/udev-212-r1)

Total: 12 packages (4 upgrades, 6 new, 1 in new slot, 1 reinstall), Size of downloads: 95,065 kB
Conflict: 3 blocks (3 unsatisfied)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

sys-apps/systemd:0

  (sys-apps/systemd-212-r5::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (sys-apps/systemd-208-r3::gentoo, installed) pulled in by
    sys-apps/systemd:0/1=[abi_x86_64(-)] required by (media-sound/pulseaudio-5.0-r1::gentoo, installed)
    sys-apps/systemd:0/1= required by (media-gfx/sane-backends-1.0.24-r3::gentoo, installed)
    sys-apps/systemd:0/1= required by (gnome-base/gvfs-1.18.3-r1::gentoo, installed)
    >=sys-apps/systemd-186:0/1= required by (sys-apps/accountsservice-0.6.37::gentoo, installed)
    (and 1 more with the same problems)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (sys-apps/gentoo-systemd-integration-4::gentoo, installed) pulled in by
    sys-apps/gentoo-systemd-integration required by (sys-apps/systemd-212-r5::gentoo, ebuild scheduled for merge)
    sys-apps/gentoo-systemd-integration required by (sys-apps/systemd-208-r3::gentoo, installed)

  (sys-fs/udev-212-r1::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-fs/udev-208-r1:0/0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,gudev,introspection?,static-libs?] (>=sys-fs/udev-208-r1:0/0[abi_x86_64(-),gudev,introspection,static-libs]) required by (virtual/libgudev-208::gentoo, ebuild scheduled for merge)
    >=sys-fs/udev-208:0/0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,static-libs?] (>=sys-fs/udev-208:0/0[abi_x86_64(-),static-libs]) required by (virtual/libudev-208::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


 * IMPORTANT: 2 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.



I think i got 2 issues here.
1 with sys-apps/systemd-208-r3 vs sys-apps/systemd-212-r5
2 with something pulling in udev

the 2 different systemd things i can work around temporarily by masking sys-apps/systemd-212-r5. which just creates.

Code:

# emerge --update --newuse --deep --with-bdeps=y @world -v --tree -p

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[nomerge       ] gnome-base/gnome-3.10.0:2.0  USE="bluetooth cdr classic cups extras -accessibility"
[nomerge       ]  x11-wm/mutter-3.10.4  USE="introspection -debug {-test}"
[ebuild     U  ]   sys-power/upower-0.9.23-r3 [0.9.23-r2] USE="introspection -doc -ios (-systemd%*)" 416 kB
[ebuild  N     ]    virtual/udev-208-r2  USE="gudev introspection (-static-libs)" ABI_X86="(64) (-32) (-x32)" 0 kB
[ebuild  N     ]     virtual/libudev-208:0/1  USE="static-libs" ABI_X86="(64) (-32) (-x32)" 0 kB
[ebuild  N     ]     virtual/libgudev-208  USE="introspection static-libs" ABI_X86="(64) (-32) (-x32)" 0 kB
[ebuild  N     ]      sys-fs/udev-212-r1  USE="acl firmware-loader gudev introspection kmod static-libs -doc (-selinux)" ABI_X86="(64) (-32) (-x32)" 2,660 kB
[ebuild   R    ]       dev-libs/glib-2.38.2-r1:2  USE="(mime%*) static-libs -debug (-fam) (-selinux) -systemtap {-test} -utils -xattr" ABI_X86="(64) (-32) (-x32)" PYTHON_TARGETS="python2_7 (-python2_6)" 8,447 kB
[ebuild  rR    ] net-print/cups-filters-1.0.53  USE="dbus foomatic jpeg png static-libs tiff -perl -zeroconf" 1,282 kB
[nomerge       ] www-client/firefox-24.5.0  USE="alsa dbus gstreamer jit libnotify minimal pulseaudio startup-notification -bindist -custom-cflags -custom-optimization -debug (-pgo) (-selinux) -system-cairo -system-icu -system-jpeg -system-sqlite {-test} -wifi" LINGUAS="-af -ak -ar -as -ast -be -bg -bn_BD -bn_IN -br -bs -ca -cs -csb -cy -da -de -el -en_GB -en_ZA -eo -es_AR -es_CL -es_ES -es_MX -et -eu -fa -fi -fr -fy_NL -ga_IE -gd -gl -gu_IN -he -hi_IN -hr -hu -hy_AM -id -is -it -ja -kk -km -kn -ko -ku -lg -lt -lv -mai -mk -ml -mr -nb_NO -nl -nn_NO -nso -or -pa_IN -pl -pt_BR -pt_PT -rm -ro -ru -si -sk -sl -son -sq -sr -sv_SE -ta -ta_LK -te -th -tr -uk -vi -zh_CN -zh_TW -zu"
[nomerge       ]  media-plugins/gst-plugins-meta-0.10-r8:0.10  USE="X a52 aac alsa cdda dts dvd ffmpeg flac mp3 mpeg ogg pulseaudio vorbis x264 xv xvid -dv -dvb -http -jack -lame -libass -libvisual -mms -musepack -opus -oss -taglib -theora -v4l -vcd -vpx -wavpack"
[nomerge       ]   media-plugins/gst-plugins-ffmpeg-0.10.13_p201211-r1:0.10  USE="orc"
[nomerge       ]    media-video/ffmpeg-1.0.8  USE="X aac alsa amr bzip2 encode faac hardcoded-tables jpeg2k mmx mp3 network oss pulseaudio schroedinger sdl speex ssse3 static-libs theora threads truetype v4l vdpau vorbis x264 xvid zlib -3dnow -3dnowext -aacplus (-altivec) -avx -bindist -bluray -cdio (-celt) -cpudetection -debug -doc -examples -fdk -flite -fontconfig -frei0r -gnutls -gsm -iec61883 -ieee1394 -jack -libass -libcaca -libv4l -mmxext -modplug (-neon) -openal -openssl -opus -pic -rtmp {-test} -twolame -vaapi (-vis) -vpx" FFTOOLS="aviocat cws2fws ffeval fourcc2pixfmt graph2dot ismindex pktdumper qt-faststart trasher"
[ebuild     U  ]     x11-libs/libvdpau-0.7 [0.5] USE="dri -doc" ABI_X86="(64%*) (-32) (-x32)" 476 kB
[ebuild  NS    ] sys-kernel/gentoo-sources-3.12.21-r1:3.12.21-r1 [3.10.7-r1:3.10.7-r1, 3.12.20:3.12.20] USE="-build -deblob -experimental -symlink" 75,196 kB
[ebuild  r  U  ] app-text/qpdf-5.1.1:0/13 [4.1.0:0/10] USE="static-libs -doc -examples {-test}" 7,484 kB
[nomerge       ] net-fs/netatalk-3.1.1  USE="acl cracklib dbus ldap pam shadow ssl static-libs tcpd utils -avahi -debug -kerberos -pgp -quota -samba -tracker" PYTHON_TARGETS="python2_7 (-python2_6)"
[ebuild     U  ]  dev-libs/openssl-1.0.1h-r1 [1.0.1g] USE="(sse2) static-libs tls-heartbeat zlib -bindist -gmp -kerberos -rfc3779 {-test} -vanilla" 4,375 kB
[blocks B      ] sys-apps/systemd ("sys-apps/systemd" is blocking sys-fs/udev-212-r1)
[blocks B      ] sys-apps/gentoo-systemd-integration ("sys-apps/gentoo-systemd-integration" is blocking sys-fs/udev-212-r1)
[blocks B      ] sys-fs/udev ("sys-fs/udev" is blocking sys-apps/gentoo-systemd-integration-4, sys-apps/systemd-208-r3)

Total: 11 packages (4 upgrades, 4 new, 1 in new slot, 2 reinstalls), Size of downloads: 100,333 kB
Conflict: 3 blocks (3 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (sys-fs/udev-212-r1::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-fs/udev-208-r1:0/0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,gudev,introspection?,static-libs?] (>=sys-fs/udev-208-r1:0/0[abi_x86_64(-),gudev,introspection,static-libs]) required by (virtual/libgudev-208::gentoo, ebuild scheduled for merge)
    >=sys-fs/udev-208:0/0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,static-libs?] (>=sys-fs/udev-208:0/0[abi_x86_64(-),static-libs]) required by (virtual/libudev-208::gentoo, ebuild scheduled for merge)

  (sys-apps/systemd-208-r3::gentoo, installed) pulled in by
    >=sys-apps/systemd-186:0= required by (sys-apps/accountsservice-0.6.37::gentoo, installed)
    >=sys-apps/systemd-207 required by (sys-apps/gentoo-systemd-integration-4::gentoo, installed)
    sys-apps/systemd required by @selected
    >=sys-apps/systemd-186:0/1= required by (sys-apps/accountsservice-0.6.37::gentoo, installed)
    sys-apps/systemd:0= required by (gnome-base/gvfs-1.18.3-r1::gentoo, installed)
    >=sys-apps/systemd-186:0=[pam] required by (gnome-base/gdm-3.10.0.1-r1::gentoo, installed)
    >=sys-apps/systemd-44-r1[pam] required by (sys-auth/pambase-20120417-r3::gentoo, installed)
    >=sys-apps/systemd-183:0= required by (gnome-base/gnome-session-3.10.1::gentoo, installed)
    sys-apps/systemd:0/1= required by (media-gfx/sane-backends-1.0.24-r3::gentoo, installed)
    sys-apps/systemd required by (sys-fs/udisks-2.1.3::gentoo, installed)
    >=sys-apps/systemd-186:0/1=[pam] required by (gnome-base/gdm-3.10.0.1-r1::gentoo, installed)
    sys-apps/systemd:0= required by (media-gfx/sane-backends-1.0.24-r3::gentoo, installed)
    >=sys-apps/systemd-44:0= required by (x11-misc/colord-1.0.3::gentoo, installed)
    sys-apps/systemd required by (sys-apps/dbus-1.6.18-r1::gentoo, installed)
    sys-apps/systemd:0/1=[abi_x86_64(-)] required by (media-sound/pulseaudio-5.0-r1::gentoo, installed)
    sys-apps/systemd required by (sys-auth/polkit-0.112-r1::gentoo, installed)
    sys-apps/systemd required by (gnome-base/gnome-settings-daemon-3.10.2::gentoo, installed)
    >=sys-apps/systemd-183:0= required by (net-misc/networkmanager-0.9.8.8::gentoo, installed)
    sys-apps/systemd required by (net-wireless/bluez-5.18::gentoo, installed)
    >=sys-apps/systemd-31 required by (gnome-base/gnome-shell-3.10.4-r2::gentoo, installed)
    sys-apps/systemd:0/1= required by (gnome-base/gvfs-1.18.3-r1::gentoo, installed)
    >=sys-apps/systemd-200 required by (sys-power/upower-0.9.23-r3::gentoo, ebuild scheduled for merge)
    sys-apps/systemd:0=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?] (sys-apps/systemd:0=[abi_x86_64(-)]) required by (media-sound/pulseaudio-5.0-r1::gentoo, installed)
    sys-apps/systemd required by (app-admin/syslog-ng-3.4.7::gentoo, installed)
    >=sys-apps/systemd-31 required by (gnome-base/gnome-control-center-3.10.3::gentoo, installed)
    >=sys-apps/systemd-38:0= required by (gnome-extra/gnome-system-monitor-3.10.2::gentoo, installed)
    >=sys-apps/systemd-208:0 required by (virtual/udev-208-r2::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


The following packages are causing rebuilds:

  (app-text/qpdf-5.1.1::gentoo, ebuild scheduled for merge) causes rebuilds for:
    (net-print/cups-filters-1.0.53::gentoo, ebuild scheduled for merge)

 * IMPORTANT: 2 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.



To me it looks like virtual/libgudev-208 is trying to pull in sys-fs/udev-212-r1 which kinda defeats the purpose of virtual yes?

Code:

# equery g virtual/libgudev-208
 * Searching for libgudev208 in virtual ...

 * dependency graph for virtual/libgudev-208
 `--  virtual/libgudev-208  amd64
   `--  sys-fs/udev-212-r1  (>=sys-fs/udev-208-r1) amd64  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? gudev introspection? static-libs?]
   `--  sys-apps/systemd-9999  (>=sys-apps/systemd-208) [missing keyword]  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? gudev introspection? static-libs(-)?]
   `--  sys-apps/systemd-208-r3  (>=sys-apps/systemd-208) amd64  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? gudev introspection? static-libs(-)?]
   `--  sys-fs/eudev-1.5.3-r1  (>=sys-fs/eudev-1.5.3-r1) amd64  [abi_x86_32(-)? abi_x86_64(-)? abi_x86_x32(-)? abi_mips_n32(-)? abi_mips_n64(-)? abi_mips_o32(-)? gudev introspection? static-libs?]
[ virtual/libgudev-208 stats: packages (5), max depth (1) ]


thats even more weird..
am i correct in reading that? does virtual/libgudev-208 depend on both udev and systemd?
Or am i completely off my rocker here?
Back to top
View user's profile Send private message
ct85711
Apprentice
Apprentice


Joined: 27 Sep 2005
Posts: 279

PostPosted: Sat Jun 07, 2014 7:14 am    Post subject: Reply with quote

One suggestion you could do, is update systemd seperately, then try doing a world update (virtual/udev often gets confused easily and will by default go with the first package that it's told about, which is udev even though a older version of another option is installed). Most likely, once you've updated systemd, it'll resolve your problem.
Back to top
View user's profile Send private message
TomWij
Developer
Developer


Joined: 04 Jul 2012
Posts: 1551

PostPosted: Sat Jun 07, 2014 8:12 am    Post subject: Reply with quote

Quote:
It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously. If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.


Increase your backtracking value, call your original emerge command with an additional parameter like --backtrack=9001 and try again.

Yes, the udev virtual depends on both udev and systemd; because systemd contains udev.
Back to top
View user's profile Send private message
woodshop
n00b
n00b


Joined: 15 Feb 2004
Posts: 34

PostPosted: Sat Jun 07, 2014 7:48 pm    Post subject: Reply with quote

systems by itself.. even with backtrack..
nope.
Code:

# emerge -u systemd -v -p --backtrack=9001

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] sys-apps/systemd-212-r5:0/2 [208-r3:0/1] USE="acl filecaps firmware-loader gudev introspection kmod pam policykit python seccomp%* -audit -cryptsetup -doc -gcrypt -http (-kdbus) -lzma -qrcode (-selinux) (-ssl) {-test} -vanilla -xattr (-tcpd%*)" ABI_X86="(64) (-32) (-x32)" PYTHON_SINGLE_TARGET="python2_7 -python3_2 -python3_3" PYTHON_TARGETS="python2_7 python3_3 -python3_2" 2,659 kB

Total: 1 package (1 upgrade), Size of downloads: 2,659 kB

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

sys-apps/systemd:0

  (sys-apps/systemd-212-r5::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (sys-apps/systemd-208-r3::gentoo, installed) pulled in by
    sys-apps/systemd:0/1= required by (media-gfx/sane-backends-1.0.24-r3::gentoo, installed)
    sys-apps/systemd:0/1=[abi_x86_64(-)] required by (media-sound/pulseaudio-5.0-r1::gentoo, installed)
    sys-apps/systemd:0/1= required by (gnome-base/gvfs-1.18.3-r1::gentoo, installed)
    >=sys-apps/systemd-186:0/1= required by (sys-apps/accountsservice-0.6.37::gentoo, installed)
    (and 1 more with the same problems)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


 * IMPORTANT: 2 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


world with back track.
nope

Code:

# emerge --update --newuse --deep --with-bdeps=y @world -v --tree -p --backtrack=9001

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[nomerge       ] gnome-base/gnome-3.10.0:2.0  USE="bluetooth cdr classic cups extras -accessibility"
[nomerge       ]  gnome-extra/gnome-shell-extensions-3.10.1  USE="-examples"
[nomerge       ]   gnome-base/gnome-shell-3.10.4-r2  USE="bluetooth i18n networkmanager (-openrc-force)" PYTHON_TARGETS="python2_7"
[nomerge       ]    x11-wm/mutter-3.10.4  USE="introspection -debug {-test}"
[ebuild     U  ]     sys-power/upower-0.9.23-r3 [0.9.23-r2] USE="introspection -doc -ios (-systemd%*)" 416 kB
[ebuild     U  ]      sys-apps/systemd-212-r5:0/2 [208-r3:0/1] USE="acl filecaps firmware-loader gudev introspection kmod pam policykit python seccomp%* -audit -cryptsetup -doc -gcrypt -http (-kdbus) -lzma -qrcode (-selinux) (-ssl) {-test} -vanilla -xattr (-tcpd%*)" ABI_X86="(64) (-32) (-x32)" PYTHON_SINGLE_TARGET="python2_7 -python3_2 -python3_3" PYTHON_TARGETS="python2_7 python3_3 -python3_2" 2,659 kB
[ebuild  N     ]      virtual/udev-208-r2  USE="gudev introspection (-static-libs)" ABI_X86="(64) (-32) (-x32)" 0 kB
[ebuild  N     ]       virtual/libudev-208:0/1  USE="static-libs" ABI_X86="(64) (-32) (-x32)" 0 kB
[ebuild  N     ]       virtual/libgudev-208  USE="introspection static-libs" ABI_X86="(64) (-32) (-x32)" 0 kB
[ebuild  N     ]        sys-fs/udev-212-r1  USE="acl firmware-loader gudev introspection kmod static-libs -doc (-selinux)" ABI_X86="(64) (-32) (-x32)" 1 kB
[ebuild   R    ]         dev-libs/glib-2.38.2-r1:2  USE="(mime%*) static-libs -debug (-fam) (-selinux) -systemtap {-test} -utils -xattr" ABI_X86="(64) (-32) (-x32)" PYTHON_TARGETS="python2_7 (-python2_6)" 8,447 kB
[nomerge       ] www-client/firefox-24.5.0  USE="alsa dbus gstreamer jit libnotify minimal pulseaudio startup-notification -bindist -custom-cflags -custom-optimization -debug (-pgo) (-selinux) -system-cairo -system-icu -system-jpeg -system-sqlite {-test} -wifi" LINGUAS="-af -ak -ar -as -ast -be -bg -bn_BD -bn_IN -br -bs -ca -cs -csb -cy -da -de -el -en_GB -en_ZA -eo -es_AR -es_CL -es_ES -es_MX -et -eu -fa -fi -fr -fy_NL -ga_IE -gd -gl -gu_IN -he -hi_IN -hr -hu -hy_AM -id -is -it -ja -kk -km -kn -ko -ku -lg -lt -lv -mai -mk -ml -mr -nb_NO -nl -nn_NO -nso -or -pa_IN -pl -pt_BR -pt_PT -rm -ro -ru -si -sk -sl -son -sq -sr -sv_SE -ta -ta_LK -te -th -tr -uk -vi -zh_CN -zh_TW -zu"
[nomerge       ]  media-plugins/gst-plugins-meta-0.10-r8:0.10  USE="X a52 aac alsa cdda dts dvd ffmpeg flac mp3 mpeg ogg pulseaudio vorbis x264 xv xvid -dv -dvb -http -jack -lame -libass -libvisual -mms -musepack -opus -oss -taglib -theora -v4l -vcd -vpx -wavpack"
[nomerge       ]   media-plugins/gst-plugins-ffmpeg-0.10.13_p201211-r1:0.10  USE="orc"
[nomerge       ]    media-video/ffmpeg-1.0.8  USE="X aac alsa amr bzip2 encode faac hardcoded-tables jpeg2k mmx mp3 network oss pulseaudio schroedinger sdl speex ssse3 static-libs theora threads truetype v4l vdpau vorbis x264 xvid zlib -3dnow -3dnowext -aacplus (-altivec) -avx -bindist -bluray -cdio (-celt) -cpudetection -debug -doc -examples -fdk -flite -fontconfig -frei0r -gnutls -gsm -iec61883 -ieee1394 -jack -libass -libcaca -libv4l -mmxext -modplug (-neon) -openal -openssl -opus -pic -rtmp {-test} -twolame -vaapi (-vis) -vpx" FFTOOLS="aviocat cws2fws ffeval fourcc2pixfmt graph2dot ismindex pktdumper qt-faststart trasher"
[ebuild     U  ]     x11-libs/libvdpau-0.7 [0.5] USE="dri -doc" ABI_X86="(64%*) (-32) (-x32)" 476 kB
[ebuild  NS    ] sys-kernel/gentoo-sources-3.12.21-r1:3.12.21-r1 [3.10.7-r1:3.10.7-r1, 3.12.20:3.12.20] USE="-build -deblob -experimental -symlink" 75,196 kB
[blocks B      ] sys-fs/udev ("sys-fs/udev" is blocking sys-apps/systemd-212-r5, sys-apps/gentoo-systemd-integration-4)
[blocks B      ] sys-apps/gentoo-systemd-integration ("sys-apps/gentoo-systemd-integration" is blocking sys-fs/udev-212-r1)
[blocks B      ] sys-apps/systemd ("sys-apps/systemd" is blocking sys-fs/udev-212-r1)

Total: 9 packages (3 upgrades, 4 new, 1 in new slot, 1 reinstall), Size of downloads: 87,193 kB
Conflict: 3 blocks (3 unsatisfied)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

sys-apps/systemd:0

  (sys-apps/systemd-212-r5::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (sys-apps/systemd-208-r3::gentoo, installed) pulled in by
    sys-apps/systemd:0/1=[abi_x86_64(-)] required by (media-sound/pulseaudio-5.0-r1::gentoo, installed)
    sys-apps/systemd:0/1= required by (gnome-base/gvfs-1.18.3-r1::gentoo, installed)
    sys-apps/systemd:0/1= required by (media-gfx/sane-backends-1.0.24-r3::gentoo, installed)
    >=sys-apps/systemd-186:0/1= required by (sys-apps/accountsservice-0.6.37::gentoo, installed)
    (and 1 more with the same problems)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (sys-fs/udev-212-r1::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-fs/udev-208:0/0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,static-libs?] (>=sys-fs/udev-208:0/0[abi_x86_64(-),static-libs]) required by (virtual/libudev-208::gentoo, ebuild scheduled for merge)
    >=sys-fs/udev-208-r1:0/0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,gudev,introspection?,static-libs?] (>=sys-fs/udev-208-r1:0/0[abi_x86_64(-),gudev,introspection,static-libs]) required by (virtual/libgudev-208::gentoo, ebuild scheduled for merge)

  (sys-apps/gentoo-systemd-integration-4::gentoo, installed) pulled in by
    sys-apps/gentoo-systemd-integration required by (sys-apps/systemd-212-r5::gentoo, ebuild scheduled for merge)
    sys-apps/gentoo-systemd-integration required by (sys-apps/systemd-208-r3::gentoo, installed)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


 * IMPORTANT: 2 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


world with backtrack, that systemd update masked.

Code:

# emerge --update --newuse --deep --with-bdeps=y @world -v --tree -p --backtrack=9001

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[nomerge       ] gnome-base/gnome-3.10.0:2.0  USE="bluetooth cdr classic cups extras -accessibility"
[nomerge       ]  gnome-base/gnome-core-apps-3.10.0:3.0  USE="bluetooth cdr cups"
[nomerge       ]   gnome-extra/gnome-contacts-3.10.1  USE="-v4l"
[nomerge       ]    dev-libs/folks-0.9.6:0/25  USE="bluetooth eds socialweb telepathy -debug {-test} -tracker -utils -zeitgeist"
[nomerge       ]     net-im/telepathy-mission-control-5.14.1  USE="gnome-keyring upower -connman -debug -networkmanager"
[ebuild     U  ]      sys-power/upower-0.9.23-r3 [0.9.23-r2] USE="introspection -doc -ios (-systemd%*)" 416 kB
[ebuild  N     ]       virtual/udev-208-r2  USE="gudev introspection (-static-libs)" ABI_X86="(64) (-32) (-x32)" 0 kB
[ebuild  N     ]        virtual/libudev-208:0/1  USE="static-libs" ABI_X86="(64) (-32) (-x32)" 0 kB
[ebuild  N     ]        virtual/libgudev-208  USE="introspection static-libs" ABI_X86="(64) (-32) (-x32)" 0 kB
[ebuild  N     ]         sys-fs/udev-212-r1  USE="acl firmware-loader gudev introspection kmod static-libs -doc (-selinux)" ABI_X86="(64) (-32) (-x32)" 2,660 kB
[ebuild   R    ]          dev-libs/glib-2.38.2-r1:2  USE="(mime%*) static-libs -debug (-fam) (-selinux) -systemtap {-test} -utils -xattr" ABI_X86="(64) (-32) (-x32)" PYTHON_TARGETS="python2_7 (-python2_6)" 8,447 kB
[ebuild  rR    ] net-print/cups-filters-1.0.53  USE="dbus foomatic jpeg png static-libs tiff -perl -zeroconf" 1,282 kB
[nomerge       ] media-video/mplayer-1.1.1-r1  USE="3dnow 3dnowext X a52 alsa cdio cpudetection dts dv dvd dvdnav enca encode faad gif iconv ipv6 jpeg libass live mad mmx mng mp3 network opengl osdmenu png pulseaudio quicktime rar rtc sdl shm speex sse sse2 ssse3 theora toolame tremor truetype twolame unicode vorbis x264 xscreensaver xv xvid -aalib (-altivec) (-aqua) -bidi -bindist -bl -bluray -bs2b -cddb -cdparanoia -debug -dga -directfb -doc -dvb -dxr3 -faac -fbcon -ftp -ggi -gsm -jack -joystick -jpeg2k -ladspa -libcaca -libmpeg2 -lirc -lzo -md5sum -mmxext -nas -nut -openal -oss -pnm -pvr -radio -rtmp -samba -tga -v4l -vdpau (-vidix) -xanim -xinerama -xvmc -zoran" VIDEO_CARDS="-mga -s3virge -tdfx"
[nomerge       ]  virtual/ffmpeg-0.10.3  USE="X encode jpeg2k mp3 sdl theora threads truetype vdpau x264 -gsm -speex -vaapi"
[nomerge       ]   media-video/ffmpeg-1.0.8  USE="X aac alsa amr bzip2 encode faac hardcoded-tables jpeg2k mmx mp3 network oss pulseaudio schroedinger sdl speex ssse3 static-libs theora threads truetype v4l vdpau vorbis x264 xvid zlib -3dnow -3dnowext -aacplus (-altivec) -avx -bindist -bluray -cdio (-celt) -cpudetection -debug -doc -examples -fdk -flite -fontconfig -frei0r -gnutls -gsm -iec61883 -ieee1394 -jack -libass -libcaca -libv4l -mmxext -modplug (-neon) -openal -openssl -opus -pic -rtmp {-test} -twolame -vaapi (-vis) -vpx" FFTOOLS="aviocat cws2fws ffeval fourcc2pixfmt graph2dot ismindex pktdumper qt-faststart trasher"
[ebuild     U  ]    x11-libs/libvdpau-0.7 [0.5] USE="dri -doc" ABI_X86="(64%*) (-32) (-x32)" 476 kB
[ebuild  NS    ] sys-kernel/gentoo-sources-3.12.21-r1:3.12.21-r1 [3.10.7-r1:3.10.7-r1, 3.12.20:3.12.20] USE="-build -deblob -experimental -symlink" 75,196 kB
[ebuild  r  U  ] app-text/qpdf-5.1.1:0/13 [4.1.0:0/10] USE="static-libs -doc -examples {-test}" 7,484 kB
[blocks B      ] sys-apps/gentoo-systemd-integration ("sys-apps/gentoo-systemd-integration" is blocking sys-fs/udev-212-r1)
[blocks B      ] sys-fs/udev ("sys-fs/udev" is blocking sys-apps/systemd-208-r3, sys-apps/gentoo-systemd-integration-4)
[blocks B      ] sys-apps/systemd ("sys-apps/systemd" is blocking sys-fs/udev-212-r1)

Total: 10 packages (3 upgrades, 4 new, 1 in new slot, 2 reinstalls), Size of downloads: 95,958 kB
Conflict: 3 blocks (3 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (sys-fs/udev-212-r1::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-fs/udev-208-r1:0/0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,gudev,introspection?,static-libs?] (>=sys-fs/udev-208-r1:0/0[abi_x86_64(-),gudev,introspection,static-libs]) required by (virtual/libgudev-208::gentoo, ebuild scheduled for merge)
    >=sys-fs/udev-208:0/0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,static-libs?] (>=sys-fs/udev-208:0/0[abi_x86_64(-),static-libs]) required by (virtual/libudev-208::gentoo, ebuild scheduled for merge)

  (sys-apps/systemd-208-r3::gentoo, installed) pulled in by
    >=sys-apps/systemd-208:0 required by (virtual/udev-208-r2::gentoo, ebuild scheduled for merge)
    >=sys-apps/systemd-38:0= required by (gnome-extra/gnome-system-monitor-3.10.2::gentoo, installed)
    >=sys-apps/systemd-186:0/1= required by (sys-apps/accountsservice-0.6.37::gentoo, installed)
    sys-apps/systemd:0=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?] (sys-apps/systemd:0=[abi_x86_64(-)]) required by (media-sound/pulseaudio-5.0-r1::gentoo, installed)
    >=sys-apps/systemd-186:0=[pam] required by (gnome-base/gdm-3.10.0.1-r1::gentoo, installed)
    sys-apps/systemd required by (sys-auth/polkit-0.112-r1::gentoo, installed)
    sys-apps/systemd required by (gnome-base/gnome-settings-daemon-3.10.2::gentoo, installed)
    sys-apps/systemd required by (sys-fs/udisks-2.1.3::gentoo, installed)
    sys-apps/systemd:0/1= required by (gnome-base/gvfs-1.18.3-r1::gentoo, installed)
    sys-apps/systemd:0/1= required by (media-gfx/sane-backends-1.0.24-r3::gentoo, installed)
    >=sys-apps/systemd-183:0= required by (net-misc/networkmanager-0.9.8.8::gentoo, installed)
    sys-apps/systemd:0= required by (media-gfx/sane-backends-1.0.24-r3::gentoo, installed)
    >=sys-apps/systemd-44:0= required by (x11-misc/colord-1.0.3::gentoo, installed)
    sys-apps/systemd required by @selected
    >=sys-apps/systemd-31 required by (gnome-base/gnome-control-center-3.10.3::gentoo, installed)
    sys-apps/systemd required by (sys-apps/dbus-1.6.18-r1::gentoo, installed)
    sys-apps/systemd required by (net-wireless/bluez-5.18::gentoo, installed)
    sys-apps/systemd required by (app-admin/syslog-ng-3.4.7::gentoo, installed)
    >=sys-apps/systemd-44-r1[pam] required by (sys-auth/pambase-20120417-r3::gentoo, installed)
    sys-apps/systemd:0/1=[abi_x86_64(-)] required by (media-sound/pulseaudio-5.0-r1::gentoo, installed)
    >=sys-apps/systemd-186:0/1=[pam] required by (gnome-base/gdm-3.10.0.1-r1::gentoo, installed)
    >=sys-apps/systemd-183:0= required by (gnome-base/gnome-session-3.10.1::gentoo, installed)
    >=sys-apps/systemd-200 required by (sys-power/upower-0.9.23-r3::gentoo, ebuild scheduled for merge)
    >=sys-apps/systemd-31 required by (gnome-base/gnome-shell-3.10.4-r2::gentoo, installed)
    sys-apps/systemd:0= required by (gnome-base/gvfs-1.18.3-r1::gentoo, installed)
    >=sys-apps/systemd-207 required by (sys-apps/gentoo-systemd-integration-4::gentoo, installed)
    >=sys-apps/systemd-186:0= required by (sys-apps/accountsservice-0.6.37::gentoo, installed)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


The following packages are causing rebuilds:

  (app-text/qpdf-5.1.1::gentoo, ebuild scheduled for merge) causes rebuilds for:
    (net-print/cups-filters-1.0.53::gentoo, ebuild scheduled for merge)

 * IMPORTANT: 2 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.



same as above but also masking upower update..
Code:

# emerge --update --newuse --deep --with-bdeps=y @world -v --tree -p --backtrack=9001

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[nomerge       ] gnome-base/gnome-3.10.0:2.0  USE="bluetooth cdr classic cups extras -accessibility"
[nomerge       ]  gnome-base/gnome-extra-apps-3.10.0-r1:3.0  USE="games shotwell tracker"
[nomerge       ]   gnome-extra/gnome-tweak-tool-3.10.1  PYTHON_TARGETS="python2_7"
[nomerge       ]    gnome-base/gnome-shell-3.10.4-r2  USE="bluetooth i18n networkmanager (-openrc-force)" PYTHON_TARGETS="python2_7"
[nomerge       ]     gnome-base/gnome-session-3.10.1  USE="ipv6 systemd -debug -doc -gconf"
[nomerge       ]      sys-power/upower-0.9.23-r2  USE="introspection systemd -doc -ios"
[ebuild  N     ]       virtual/udev-208-r2  USE="gudev introspection (-static-libs)" ABI_X86="(64) (-32) (-x32)" 0 kB
[ebuild  N     ]        virtual/libudev-208:0/1  USE="static-libs" ABI_X86="(64) (-32) (-x32)" 0 kB
[ebuild  N     ]        virtual/libgudev-208  USE="introspection static-libs" ABI_X86="(64) (-32) (-x32)" 0 kB
[ebuild  N     ]         sys-fs/udev-212-r1  USE="acl firmware-loader gudev introspection kmod static-libs -doc (-selinux)" ABI_X86="(64) (-32) (-x32)" 2,660 kB
[ebuild   R    ]          dev-libs/glib-2.38.2-r1:2  USE="(mime%*) static-libs -debug (-fam) (-selinux) -systemtap {-test} -utils -xattr" ABI_X86="(64) (-32) (-x32)" PYTHON_TARGETS="python2_7 (-python2_6)" 8,447 kB
[ebuild  rR    ] net-print/cups-filters-1.0.53  USE="dbus foomatic jpeg png static-libs tiff -perl -zeroconf" 1,282 kB
[nomerge       ] www-client/firefox-24.5.0  USE="alsa dbus gstreamer jit libnotify minimal pulseaudio startup-notification -bindist -custom-cflags -custom-optimization -debug (-pgo) (-selinux) -system-cairo -system-icu -system-jpeg -system-sqlite {-test} -wifi" LINGUAS="-af -ak -ar -as -ast -be -bg -bn_BD -bn_IN -br -bs -ca -cs -csb -cy -da -de -el -en_GB -en_ZA -eo -es_AR -es_CL -es_ES -es_MX -et -eu -fa -fi -fr -fy_NL -ga_IE -gd -gl -gu_IN -he -hi_IN -hr -hu -hy_AM -id -is -it -ja -kk -km -kn -ko -ku -lg -lt -lv -mai -mk -ml -mr -nb_NO -nl -nn_NO -nso -or -pa_IN -pl -pt_BR -pt_PT -rm -ro -ru -si -sk -sl -son -sq -sr -sv_SE -ta -ta_LK -te -th -tr -uk -vi -zh_CN -zh_TW -zu"
[nomerge       ]  media-plugins/gst-plugins-meta-0.10-r8:0.10  USE="X a52 aac alsa cdda dts dvd ffmpeg flac mp3 mpeg ogg pulseaudio vorbis x264 xv xvid -dv -dvb -http -jack -lame -libass -libvisual -mms -musepack -opus -oss -taglib -theora -v4l -vcd -vpx -wavpack"
[nomerge       ]   media-plugins/gst-plugins-ffmpeg-0.10.13_p201211-r1:0.10  USE="orc"
[nomerge       ]    media-video/ffmpeg-1.0.8  USE="X aac alsa amr bzip2 encode faac hardcoded-tables jpeg2k mmx mp3 network oss pulseaudio schroedinger sdl speex ssse3 static-libs theora threads truetype v4l vdpau vorbis x264 xvid zlib -3dnow -3dnowext -aacplus (-altivec) -avx -bindist -bluray -cdio (-celt) -cpudetection -debug -doc -examples -fdk -flite -fontconfig -frei0r -gnutls -gsm -iec61883 -ieee1394 -jack -libass -libcaca -libv4l -mmxext -modplug (-neon) -openal -openssl -opus -pic -rtmp {-test} -twolame -vaapi (-vis) -vpx" FFTOOLS="aviocat cws2fws ffeval fourcc2pixfmt graph2dot ismindex pktdumper qt-faststart trasher"
[ebuild     U  ]     x11-libs/libvdpau-0.7 [0.5] USE="dri -doc" ABI_X86="(64%*) (-32) (-x32)" 476 kB
[ebuild  NS    ] sys-kernel/gentoo-sources-3.12.21-r1:3.12.21-r1 [3.10.7-r1:3.10.7-r1, 3.12.20:3.12.20] USE="-build -deblob -experimental -symlink" 75,196 kB
[ebuild  r  U  ] app-text/qpdf-5.1.1:0/13 [4.1.0:0/10] USE="static-libs -doc -examples {-test}" 7,484 kB
[blocks B      ] sys-apps/systemd ("sys-apps/systemd" is blocking sys-fs/udev-212-r1)
[blocks B      ] sys-apps/gentoo-systemd-integration ("sys-apps/gentoo-systemd-integration" is blocking sys-fs/udev-212-r1)
[blocks B      ] sys-fs/udev ("sys-fs/udev" is blocking sys-apps/gentoo-systemd-integration-4, sys-apps/systemd-208-r3)

Total: 9 packages (2 upgrades, 4 new, 1 in new slot, 2 reinstalls), Size of downloads: 95,542 kB
Conflict: 3 blocks (3 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (sys-apps/systemd-208-r3::gentoo, installed) pulled in by
    sys-apps/systemd:0/1= required by (media-gfx/sane-backends-1.0.24-r3::gentoo, installed)
    >=sys-apps/systemd-31 required by (gnome-base/gnome-control-center-3.10.3::gentoo, installed)
    sys-apps/systemd:0=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?] (sys-apps/systemd:0=[abi_x86_64(-)]) required by (media-sound/pulseaudio-5.0-r1::gentoo, installed)
    >=sys-apps/systemd-183:0= required by (net-misc/networkmanager-0.9.8.8::gentoo, installed)
    sys-apps/systemd required by @selected
    >=sys-apps/systemd-31 required by (gnome-base/gnome-shell-3.10.4-r2::gentoo, installed)
    >=sys-apps/systemd-207 required by (sys-apps/gentoo-systemd-integration-4::gentoo, installed)
    sys-apps/systemd:0= required by (media-gfx/sane-backends-1.0.24-r3::gentoo, installed)
    sys-apps/systemd required by (net-wireless/bluez-5.18::gentoo, installed)
    sys-apps/systemd:0= required by (gnome-base/gvfs-1.18.3-r1::gentoo, installed)
    >=sys-apps/systemd-208:0 required by (virtual/udev-208-r2::gentoo, ebuild scheduled for merge)
    sys-apps/systemd:0/1=[abi_x86_64(-)] required by (media-sound/pulseaudio-5.0-r1::gentoo, installed)
    >=sys-apps/systemd-186:0= required by (sys-apps/accountsservice-0.6.37::gentoo, installed)
    >=sys-apps/systemd-44:0= required by (x11-misc/colord-1.0.3::gentoo, installed)
    sys-apps/systemd required by (sys-fs/udisks-2.1.3::gentoo, installed)
    >=sys-apps/systemd-183:0= required by (gnome-base/gnome-session-3.10.1::gentoo, installed)
    >=sys-apps/systemd-200 required by (sys-power/upower-0.9.23-r2::gentoo, installed)
    sys-apps/systemd required by (sys-apps/dbus-1.6.18-r1::gentoo, installed)
    >=sys-apps/systemd-186:0/1=[pam] required by (gnome-base/gdm-3.10.0.1-r1::gentoo, installed)
    sys-apps/systemd required by (gnome-base/gnome-settings-daemon-3.10.2::gentoo, installed)
    sys-apps/systemd:0/1= required by (gnome-base/gvfs-1.18.3-r1::gentoo, installed)
    >=sys-apps/systemd-186:0/1= required by (sys-apps/accountsservice-0.6.37::gentoo, installed)
    >=sys-apps/systemd-44-r1[pam] required by (sys-auth/pambase-20120417-r3::gentoo, installed)
    >=sys-apps/systemd-38:0= required by (gnome-extra/gnome-system-monitor-3.10.2::gentoo, installed)
    sys-apps/systemd required by (app-admin/syslog-ng-3.4.7::gentoo, installed)
    >=sys-apps/systemd-186:0=[pam] required by (gnome-base/gdm-3.10.0.1-r1::gentoo, installed)
    sys-apps/systemd required by (sys-auth/polkit-0.112-r1::gentoo, installed)

  (sys-fs/udev-212-r1::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-fs/udev-208:0/0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,static-libs?] (>=sys-fs/udev-208:0/0[abi_x86_64(-),static-libs]) required by (virtual/libudev-208::gentoo, ebuild scheduled for merge)
    >=sys-fs/udev-208-r1:0/0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,gudev,introspection?,static-libs?] (>=sys-fs/udev-208-r1:0/0[abi_x86_64(-),gudev,introspection,static-libs]) required by (virtual/libgudev-208::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


The following packages are causing rebuilds:

  (app-text/qpdf-5.1.1::gentoo, ebuild scheduled for merge) causes rebuilds for:
    (net-print/cups-filters-1.0.53::gentoo, ebuild scheduled for merge)

 * IMPORTANT: 2 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


for the heck of it i did an emerge --sync and tried the last one again, but it didn't magically fix it

Code:

# emerge --update --newuse --deep --with-bdeps=y @world -v --tree -p --backtrack=9001

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[nomerge       ] sys-apps/util-linux-2.24.1-r2  USE="cramfs ncurses nls pam python static-libs suid udev unicode -bash-completion -caps -cytune -fdformat (-selinux) -slang {-test} -tty-helpers" PYTHON_SINGLE_TARGET="python2_7 -python3_2 -python3_3 (-python3_4)" PYTHON_TARGETS="python2_7 python3_3 -python3_2 (-python3_4)"
[ebuild  N     ]  virtual/udev-208-r2  USE="gudev introspection (-static-libs)" ABI_X86="(64) (-32) (-x32)" 0 kB
[ebuild  N     ]   virtual/libudev-208:0/1  USE="static-libs" ABI_X86="(64) (-32) (-x32)" 0 kB
[ebuild  N     ]   virtual/libgudev-208  USE="introspection static-libs" ABI_X86="(64) (-32) (-x32)" 0 kB
[ebuild  N     ]    sys-fs/udev-212-r1  USE="acl firmware-loader gudev introspection kmod static-libs -doc (-selinux)" ABI_X86="(64) (-32) (-x32)" 2,660 kB
[ebuild   R    ]     dev-libs/glib-2.38.2-r1:2  USE="(mime%*) static-libs -debug (-fam) (-selinux) -systemtap {-test} -utils -xattr" ABI_X86="(64) (-32) (-x32)" PYTHON_TARGETS="python2_7 (-python2_6)" 8,447 kB
[ebuild  rR    ] net-print/cups-filters-1.0.53  USE="dbus foomatic jpeg png static-libs tiff -perl -zeroconf" 1,282 kB
[nomerge       ] www-client/firefox-24.5.0  USE="alsa dbus gstreamer jit libnotify minimal pulseaudio startup-notification -bindist -custom-cflags -custom-optimization -debug (-pgo) (-selinux) -system-cairo -system-icu -system-jpeg -system-sqlite {-test} -wifi" LINGUAS="-af -ak -ar -as -ast -be -bg -bn_BD -bn_IN -br -bs -ca -cs -csb -cy -da -de -el -en_GB -en_ZA -eo -es_AR -es_CL -es_ES -es_MX -et -eu -fa -fi -fr -fy_NL -ga_IE -gd -gl -gu_IN -he -hi_IN -hr -hu -hy_AM -id -is -it -ja -kk -km -kn -ko -ku -lg -lt -lv -mai -mk -ml -mr -nb_NO -nl -nn_NO -nso -or -pa_IN -pl -pt_BR -pt_PT -rm -ro -ru -si -sk -sl -son -sq -sr -sv_SE -ta -ta_LK -te -th -tr -uk -vi -zh_CN -zh_TW -zu"
[nomerge       ]  media-plugins/gst-plugins-meta-0.10-r8:0.10  USE="X a52 aac alsa cdda dts dvd ffmpeg flac mp3 mpeg ogg pulseaudio vorbis x264 xv xvid -dv -dvb -http -jack -lame -libass -libvisual -mms -musepack -opus -oss -taglib -theora -v4l -vcd -vpx -wavpack"
[nomerge       ]   media-plugins/gst-plugins-ffmpeg-0.10.13_p201211-r1:0.10  USE="orc"
[nomerge       ]    media-video/ffmpeg-1.0.8  USE="X aac alsa amr bzip2 encode faac hardcoded-tables jpeg2k mmx mp3 network oss pulseaudio schroedinger sdl speex ssse3 static-libs theora threads truetype v4l vdpau vorbis x264 xvid zlib -3dnow -3dnowext -aacplus (-altivec) -avx -bindist -bluray -cdio (-celt) -cpudetection -debug -doc -examples -fdk -flite -fontconfig -frei0r -gnutls -gsm -iec61883 -ieee1394 -jack -libass -libcaca -libv4l -mmxext -modplug (-neon) -openal -openssl -opus -pic -rtmp {-test} -twolame -vaapi (-vis) -vpx" FFTOOLS="aviocat cws2fws ffeval fourcc2pixfmt graph2dot ismindex pktdumper qt-faststart trasher"
[ebuild     U  ]     x11-libs/libvdpau-0.7 [0.5] USE="dri -doc" ABI_X86="(64%*) (-32) (-x32)" 476 kB
[ebuild  NS    ] sys-kernel/gentoo-sources-3.12.21-r1:3.12.21-r1 [3.10.7-r1:3.10.7-r1, 3.12.20:3.12.20] USE="-build -deblob -experimental -symlink" 75,196 kB
[ebuild  r  U  ] app-text/qpdf-5.1.1:0/13 [4.1.0:0/10] USE="static-libs -doc -examples {-test}" 7,484 kB
[blocks B      ] sys-fs/udev ("sys-fs/udev" is blocking sys-apps/systemd-208-r3, sys-apps/gentoo-systemd-integration-4)
[blocks B      ] sys-apps/gentoo-systemd-integration ("sys-apps/gentoo-systemd-integration" is blocking sys-fs/udev-212-r1)
[blocks B      ] sys-apps/systemd ("sys-apps/systemd" is blocking sys-fs/udev-212-r1)

Total: 9 packages (2 upgrades, 4 new, 1 in new slot, 2 reinstalls), Size of downloads: 95,542 kB
Conflict: 3 blocks (3 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (sys-apps/systemd-208-r3::gentoo, installed) pulled in by
    sys-apps/systemd:0= required by (gnome-base/gvfs-1.18.3-r1::gentoo, installed)
    >=sys-apps/systemd-31 required by (gnome-base/gnome-control-center-3.10.3::gentoo, installed)
    sys-apps/systemd required by (sys-apps/dbus-1.6.18-r1::gentoo, installed)
    >=sys-apps/systemd-44:0= required by (x11-misc/colord-1.0.3::gentoo, installed)
    sys-apps/systemd:0=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?] (sys-apps/systemd:0=[abi_x86_64(-)]) required by (media-sound/pulseaudio-5.0-r1::gentoo, installed)
    sys-apps/systemd required by (net-wireless/bluez-5.18::gentoo, installed)
    >=sys-apps/systemd-38:0= required by (gnome-extra/gnome-system-monitor-3.10.2::gentoo, installed)
    >=sys-apps/systemd-186:0=[pam] required by (gnome-base/gdm-3.10.0.1-r1::gentoo, installed)
    sys-apps/systemd required by (gnome-base/gnome-settings-daemon-3.10.2::gentoo, installed)
    sys-apps/systemd:0= required by (media-gfx/sane-backends-1.0.24-r3::gentoo, installed)
    sys-apps/systemd required by (sys-fs/udisks-2.1.3::gentoo, installed)
    sys-apps/systemd required by (sys-auth/polkit-0.112-r1::gentoo, installed)
    sys-apps/systemd:0/1= required by (media-gfx/sane-backends-1.0.24-r3::gentoo, installed)
    >=sys-apps/systemd-44-r1[pam] required by (sys-auth/pambase-20120417-r3::gentoo, installed)
    >=sys-apps/systemd-186:0/1=[pam] required by (gnome-base/gdm-3.10.0.1-r1::gentoo, installed)
    >=sys-apps/systemd-183:0= required by (net-misc/networkmanager-0.9.8.8::gentoo, installed)
    >=sys-apps/systemd-208:0 required by (virtual/udev-208-r2::gentoo, ebuild scheduled for merge)
    sys-apps/systemd:0/1= required by (gnome-base/gvfs-1.18.3-r1::gentoo, installed)
    sys-apps/systemd required by @selected
    >=sys-apps/systemd-186:0= required by (sys-apps/accountsservice-0.6.37::gentoo, installed)
    sys-apps/systemd:0/1=[abi_x86_64(-)] required by (media-sound/pulseaudio-5.0-r1::gentoo, installed)
    >=sys-apps/systemd-200 required by (sys-power/upower-0.9.23-r2::gentoo, installed)
    >=sys-apps/systemd-183:0= required by (gnome-base/gnome-session-3.10.1::gentoo, installed)
    >=sys-apps/systemd-31 required by (gnome-base/gnome-shell-3.10.4-r2::gentoo, installed)
    >=sys-apps/systemd-207 required by (sys-apps/gentoo-systemd-integration-4::gentoo, installed)
    sys-apps/systemd required by (app-admin/syslog-ng-3.4.7::gentoo, installed)
    >=sys-apps/systemd-186:0/1= required by (sys-apps/accountsservice-0.6.37::gentoo, installed)

  (sys-fs/udev-212-r1::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-fs/udev-208-r1:0/0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,gudev,introspection?,static-libs?] (>=sys-fs/udev-208-r1:0/0[abi_x86_64(-),gudev,introspection,static-libs]) required by (virtual/libgudev-208::gentoo, ebuild scheduled for merge)
    >=sys-fs/udev-208:0/0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,static-libs?] (>=sys-fs/udev-208:0/0[abi_x86_64(-),static-libs]) required by (virtual/libudev-208::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


The following packages are causing rebuilds:

  (app-text/qpdf-5.1.1::gentoo, ebuild scheduled for merge) causes rebuilds for:
    (net-print/cups-filters-1.0.53::gentoo, ebuild scheduled for merge)

 * IMPORTANT: 2 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.
Back to top
View user's profile Send private message
ct85711
Apprentice
Apprentice


Joined: 27 Sep 2005
Posts: 279

PostPosted: Sat Jun 07, 2014 8:51 pm    Post subject: Reply with quote

Hmm.. from what I'm seeing, it's throwing a fit, because the new version of systemd doesn't have the same exact slot as the old one. While I'm not good dealing with slots and stuff. You could try adding all the packages that is throwing a fit about the slot not matching. So for the packages listed, you do something like
Code:
emerge -1 -pv systemd sane-backends pulseaudio gvfs accountsservice
Hopefuly it will then say systemd-208 is pulled in only 1 package, add that to the list, that will have all of them update/reinstall so that it's looking at the new slot. You could probably leave off the -u, as it won't hurt for the other packages recompile anyways.
Back to top
View user's profile Send private message
jburns
l33t
l33t


Joined: 18 Jan 2007
Posts: 857
Location: Massachusetts USA

PostPosted: Sat Jun 07, 2014 8:58 pm    Post subject: Reply with quote

Have you tried masking sys-fs/udev
Back to top
View user's profile Send private message
woodshop
n00b
n00b


Joined: 15 Feb 2004
Posts: 34

PostPosted: Sun Jun 08, 2014 3:40 am    Post subject: Reply with quote

ct85711 wrote:
Hmm.. from what I'm seeing, it's throwing a fit, because the new version of systemd doesn't have the same exact slot as the old one. While I'm not good dealing with slots and stuff. You could try adding all the packages that is throwing a fit about the slot not matching. So for the packages listed, you do something like
Code:
emerge -1 -pv systemd sane-backends pulseaudio gvfs accountsservice
Hopefuly it will then say systemd-208 is pulled in only 1 package, add that to the list, that will have all of them update/reinstall so that it's looking at the new slot. You could probably leave off the -u, as it won't hurt for the other packages recompile anyways.


no dice..

jburns wrote:

Have you tried masking sys-fs/udev


then it just tries to pull in eudev instead.


I'm starting to think there is actually something wrong with with one or more ebuilds in portage.
I still can't figure out virtual/libgudev-208 depending on sys-fs/udev (note lack of virtual)
I know systemd had udev built in, and i thought the point of the virtual/udev stuff is to "fake" a udev atom as installed, so other packages don't try to bring it in creating one of the conflict i seam to have.
Back to top
View user's profile Send private message
jburns
l33t
l33t


Joined: 18 Jan 2007
Posts: 857
Location: Massachusetts USA

PostPosted: Sun Jun 08, 2014 6:19 am    Post subject: Reply with quote

virtual/libgudev-208 is satisfied by any of dependencies. You could also mask sys-fs/eudev in addition to sys-fs/udev which would force it to use systemd and it might give an error message on why it cannot use systemd.

Also try
Code:
emerge --update --newuse --deep --with-bdeps=y @system -v --tree -p --backtrack=9001
Back to top
View user's profile Send private message
TomWij
Developer
Developer


Joined: 04 Jul 2012
Posts: 1551

PostPosted: Sun Jun 08, 2014 8:20 am    Post subject: Reply with quote

For recent GNOME versions systemd is needed; so, try masking all other udev implementations and remove the mask entries for systemd and upower.

https://wiki.gentoo.org/wiki/GNOME/3.8-upgrade-guide
Back to top
View user's profile Send private message
woodshop
n00b
n00b


Joined: 15 Feb 2004
Posts: 34

PostPosted: Sun Jun 08, 2014 6:33 pm    Post subject: Reply with quote

TomWij wrote:
For recent GNOME versions systemd is needed; so, try masking all other udev implementations and remove the mask entries for systemd and upower.

https://wiki.gentoo.org/wiki/GNOME/3.8-upgrade-guide


Code:

#=sys-power/upower-0.9.23-r3
#=sys-apps/systemd-212-r5
<=sys-fs/udev-9999
<=sys-fs/eudev-9999
#=virtual/libgudev-208


Code:

# emerge --update --newuse --deep --with-bdeps=y @world -v --tree -p --backtrack=9001

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

sys-apps/systemd:0

  (sys-apps/systemd-208-r3::gentoo, installed) pulled in by
    >=sys-apps/systemd-186:0/1=[pam] required by (gnome-base/gdm-3.10.0.1-r1::gentoo, installed)
    sys-apps/systemd:0/1=[abi_x86_64(-)] required by (media-sound/pulseaudio-5.0-r1::gentoo, installed)
    sys-apps/systemd:0/1= required by (media-gfx/sane-backends-1.0.24-r3::gentoo, installed)
    sys-apps/systemd:0/1= required by (gnome-base/gvfs-1.18.3-r1::gentoo, installed)
    (and 1 more with the same problems)

  (sys-apps/systemd-212-r5::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


emerge: there are no ebuilds built with USE flags to satisfy ">=sys-apps/systemd-208:0/2[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,gudev,introspection?,static-libs(-)?]".
!!! One of the following packages is required to complete your request:
- virtual/libgudev-208::gentoo (Change USE: -static-libs)
(dependency required by "virtual/libgudev-208" [ebuild])
(dependency required by "virtual/udev-208-r2[gudev]" [ebuild])
(dependency required by "sys-apps/util-linux-2.24.1-r2[udev]" [installed])
(dependency required by "sys-apps/systemd-212-r5" [ebuild])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])

 * IMPORTANT: 2 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


The (Change USE: -static-libs) is interesting...
I had added that cause i was booting a RAID5 as rootfs, this is no longer true, switched to a ext4 rootfs with zfs data pool..
Should be safe to remove it.

So i remove that USE and remove ALL the masks.
Run again..

[code:1:465d4d88e5]
# emerge --update --newuse --deep --with-bdeps=y @world -v --tree -p --backtrack=9001

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[nomerge ] media-video/makemkv-1.8.10 USE="multilib"
[ebuild R ] media-video/ffmpeg-1.0.8 USE="X aac alsa amr bzip2 encode faac hardcoded-tables jpeg2k mmx mp3 network oss pulseaudio schroedinger sdl speex ssse3 theora threads truetype v4l vdpau vorbis x264 xvid zlib -3dnow -3dnowext -aacplus (-altivec) -avx -bindist -bluray -cdio (-celt) -cpudetection -debug -doc -examples -fdk -flite -fontconfig -frei0r -gnutls -gsm -iec61883 -ieee1394 -jack -libass -libcaca -libv4l -mmxext -modplug (-neon) -openal -openssl -opus -pic -rtmp -static-libs* {-test} -twolame -vaapi (-vis) -vpx" FFTOOLS="aviocat cws2fws ffeval fourcc2pixfmt graph2dot ismindex pktdumper qt-faststart trasher" 6,301 kB
[nomerge ] net-analyzer/iftop-1.0_pre2
[ebuild R ] net-libs/libpcap-1.3.0-r1 USE="bluetooth ipv6 -canusb -netlink -static-libs*" 595 kB
[ebuild rR ] media-gfx/sane-backends-1.0.24-r3 USE="ipv6 systemd usb -avahi -doc -gphoto2 -snmp -threads -v4l -xinetd" SANE_BACKENDS="abaton agfafocus apple artec artec_eplus48u as6e avision bh canon canon630u canon_dr cardscan coolscan coolscan2 coolscan3 dc210 dc240 dc25 dell1600n_net dmc epjitsu epson epson2 fujitsu genesys gt68xx hp hp3500 hp3900 hp4200 hp5400 hp5590 hpljm1005 hs2p ibm kodak kodakaio kvs1025 kvs20xx leo lexmark ma1509 magicolor matsushita microtek microtek2 mustek mustek_usb nec net niash p5 pie pixma plustek plustek_pp qcam ricoh rts8891 s9036 sceptre sharp sm3600 sm3840 snapscan sp15c st400 stv680 tamarack teco1 teco2 teco3 {test} u12 umax umax1220u umax_pp xerox_mfp -canon_pp -hpsj5s -kvs40xx -mustek_pp -mustek_usb2 -pnm" 5,644 kB
[ebuild R ~] sys-fs/zfs-0.6.2-r5 USE="rootfs -bash-completion -custom-cflags -debug (-kernel-builtin) (-selinux) -static-libs* -test-suite" PYTHON_TARGETS="python2_7 python3_3 (-python2_6) -python3_2" 1,585 kB
[nomerge ] gnome-base/gnome-3.10.0:2.0 USE="bluetooth cdr classic cups extras -accessibility"
[nomerge ] gnome-base/gnome-extra-apps-3.10.0-r1:3.0 USE="games shotwell tracker"
[nomerge ] gnome-extra/gnome-power-manager-3.10.1 USE="{-test}"
[nomerge ] app-text/scrollkeeper-9999-r1
[ebuild R ] app-text/rarian-0.8.1-r2 USE="-static-libs*" 449 kB
[ebuild rR ] gnome-base/gdm-3.10.0.1-r1 USE="branding introspection ipv6 systemd tcpd -accessibility -audit -debug -fprint -plymouth (-selinux) -smartcard {-test} -xinerama" 1,555 kB
[ebuild rR ] gnome-base/gvfs-1.18.3-r1 USE="bluetooth cdda gnome-online-accounts gtk http libsecret systemd udev udisks -afp -archive -avahi -bluray -fuse -gphoto2 -ios -mtp -samba {-test}" 1,502 kB
[nomerge ] gnome-base/gvfs-1.18.3-r1 USE="bluetooth cdda gnome-online-accounts gtk http libsecret systemd udev udisks -afp -archive -avahi -bluray -fuse -gphoto2 -ios -mtp -samba {-test}"
[nomerge ] app-mobilephone/obex-data-server-0.4.6 USE="gtk usb -debug -imagemagick"
[nomerge ] dev-libs/openobex-1.5 USE="bluetooth usb -debug -irda -syslog"
[nomerge ] virtual/libusb-0-r1 ABI_X86="(64) (-32) (-x32)"
[nomerge ] dev-libs/libusb-compat-0.1.5-r2 USE="-debug -examples -static-libs*" ABI_X86="(64) (-32) (-x32)"
[nomerge ] virtual/libusb-1-r1:1 USE="udev" ABI_X86="(64) (-32) (-x32)"
[ebuild R ] dev-libs/libusb-1.0.18:1 USE="udev -debug -doc -examples -static-libs* {-test}" ABI_X86="(64) (-32) (-x32)" 491 kB
[nomerge ] gnome-base/gvfs-1.18.3-r1 USE="bluetooth cdda gnome-online-accounts gtk http libsecret systemd udev udisks -afp -archive -avahi -bluray -fuse -gphoto2 -ios -mtp -samba {-test}"
[nomerge ] sys-fs/udisks-2.1.3:2 USE="gptfdisk introspection systemd -cryptsetup -debug (-selinux)"
[ebuild R ] dev-libs/libatasmart-0.19-r1 USE="-static-libs*" 252 kB
[ebuild rR ] sys-apps/accountsservice-0.6.37 USE="introspection systemd -doc (-selinux)" 355 kB
[ebuild R ] x11-base/xorg-server-1.15.0:0/1.15.0 USE="ipv6 kdrive nptl suid udev xorg -dmx -doc -minimal (-selinux) -static-libs* -tslib -unwind -xnest -xvfb" 5,417 kB
[nomerge ] gnome-extra/gnome-power-manager-3.10.1 USE="{-test}"
[ebuild U ] sys-power/upower-0.9.23-r3 [0.9.23-r2] USE="introspection -doc -ios (-systemd%*)" 416 kB
[ebuild rR ] media-sound/pulseaudio-5.0-r1 USE="X alsa asyncns bluetooth caps dbus gdbm glib gnome gtk ipv6 orc ssl systemd tcpd udev webrtc-aec -avahi -doc -equalizer -jack -libsamplerate -lirc (-neon) (-oss) -qt4 -realtime (-system-wide) {-test} -xen" ABI_X86="(64) (-32) (-x32)" 1,422 kB
[nomerge ] gnome-base/gnome-3.10.0:2.0 USE="bluetooth cdr classic cups extras -accessibility"
[nomerge ] gnome-base/gnome-core-apps-3.10.0:3.0 USE="bluetooth cdr cups"
[nomerge ] gnome-base/gnome-control-center-3.10.3:2 USE="bluetooth colord cups gnome-online-accounts i18n socialweb -debug -kerberos -v4l" INPUT_DEVICES="-wacom"
[nomerge ] x11-misc/colord-1.0.3:0/1 USE="gusb introspection systemd udev vala -examples -extra-print-profiles -scanner"
[ebuild R ] dev-libs/libgusb-0.1.6 USE="introspection vala -static-libs*" 257 kB
[ebuild R ] sys-apps/util-linux-2.24.1-r2 USE="cramfs ncurses nls pam python suid udev unicode -bash-completion -caps -cytune -fdformat (-selinux) -slang -static-libs* {-test} -tty-helpers" PYTHON_SINGLE_TARGET="python2_7 -python3_2 -python3_3 (-python3_4)" PYTHON_TARGETS="python2_7 python3_3 -python3_2 (-python3_4)" 3,461 kB
[ebuild N ] virtual/udev-208-r2 USE="gudev introspection (-static-libs)" ABI_X86="(64) (-32) (-x32)" 0 kB
[ebuild N ] virtual/libudev-208:0/1 USE="-static-libs" ABI_X86="(64) (-32) (-x32)" 0 kB
[ebuild N ] virtual/libgudev-208 USE="introspection -static-libs" ABI_X86="(64) (-32) (-x32)" 0 kB
[ebuild U ] sys-apps/systemd-212-r5:0/2 [208-r3:0/1] USE="acl filecaps firmware-loader gudev introspection kmod pam policykit python seccomp%* -audit -cryptsetup -doc -gcrypt -http (-kdbus) -lzma -qrcode (-selinux) (-ssl) {-test} -vanilla -xattr (-tcpd%*)" ABI_X86="(64) (-32) (-x32)" PYTHON_SINGLE_TARGET="python2_7 -python3_2 -python3_3" PYTHON_TARGETS="python2_7 python3_3 -python3_2" 2,659 kB
[nomerge ] x11-drivers/xf86-video-ati-7.3.0 USE="glamor udev"
[ebuild R ] x11-libs/glamor-0.6.0 USE="xv -gles -static-libs*" 419 kB
[nomerge ] gnome-base/gnome-extra-apps-3.10.0-r1:3.0 USE="games shotwell tracker"
[nomerge ] gnome-extra/gnome-user-share-3.10.2 USE="bluetooth"
[nomerge ] www-servers/apache-2.2.27:2 USE="ldap ssl -debug -doc (-selinux) -static -suexec -threads" APACHE2_MODULES="actions alias auth_basic auth_digest authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias -asis -authn_dbd -cern_meta -charset_lite -dbd -dumpio -ident -imagemap -log_forensic -proxy -proxy_ajp -proxy_balancer -proxy_connect -proxy_ftp -proxy_http -proxy_scgi -reqtimeout -substitute -version" APACHE2_MPMS="-event -itk -peruser -prefork -worker"
[ebuild R ] dev-libs/apr-util-1.5.3-r1:1 USE="berkdb gdbm ldap -doc -freetds -mysql -nss -odbc -openssl -postgres -sqlite -static-libs*" 680 kB
[ebuild R ] dev-libs/apr-1.5.0-r2:1 USE="urandom -doc -older-kernels-compatibility -static-libs*" 795 kB
[nomerge ] media-video/mplayer-1.1.1-r1 USE="3dnow 3dnowext X a52 alsa cdio cpudetection dts dv dvd dvdnav enca encode faad gif iconv ipv6 jpeg libass live mad mmx mng mp3 network opengl osdmenu png pulseaudio quicktime rar rtc sdl shm speex sse sse2 ssse3 theora toolame tremor truetype twolame unicode vorbis x264 xscreensaver xv xvid -aalib (-altivec) (-aqua) -bidi -bindist -bl -bluray -bs2b -cddb -cdparanoia -debug -dga -directfb -doc -dvb -dxr3 -faac -fbcon -ftp -ggi -gsm -jack -joystick -jpeg2k -ladspa -libcaca -libmpeg2 -lirc -lzo -md5sum -mmxext -nas -nut -openal -oss -pnm -pvr -radio -rtmp -samba -tga -v4l -vdpau (-vidix) -xanim -xinerama -xvmc -zoran" VIDEO_CARDS="-mga -s3virge -tdfx"
[ebuild R ] media-libs/libdv-1.0.0-r2 USE="sdl xv -debug -static-libs*" 571 kB
[nomerge ] app-emulation/virtualbox-4.2.22 USE="additions alsa doc extensions opengl pam pulseaudio python qt4 sdk vnc -headless -java -vboxwebsrv" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7"
[nomerge ] dev-texlive/texlive-fontsextra-2012 USE="-doc -source"
[nomerge ] app-text/texlive-core-2012-r1 USE="X -cjk -doc -source -tk -xetex"
[nomerge ] dev-tex/luatex-0.70.1-r2 USE="-doc"
[ebuild R ] dev-libs/zziplib-0.13.60-r1 USE="sdl -doc -static-libs* {-test}" 670 kB
[ebuild R ] media-libs/libsdl-1.2.15-r4 USE="X alsa joystick opengl pulseaudio sound video xv -aalib -custom-cflags -dga -directfb -fbcon -ggi -libcaca -nas -oss (-ps3) -static-libs* (-svga) -tslib -xinerama" 3,829 kB
[nomerge ] gnome-base/gnome-extra-apps-3.10.0-r1:3.0 USE="games shotwell tracker"
[nomerge ] app-arch/file-roller-3.10.2.1 USE="nautilus (-packagekit)"
[ebuild R ] app-arch/libarchive-3.1.2-r1:0/13 USE="acl bzip2 e2fsprogs iconv lzma zlib -expat -lzo -nettle -static-libs* -xattr" 4,422 kB
[nomerge ] app-emulation/wine-1.6.1 USE="X alsa cups fontconfig gecko gstreamer jpeg lcms ldap mono mp3 ncurses nls opengl perl png prelink pulseaudio realtime run-exes ssl threads truetype udisks xml -capi -custom-cflags -dos -gphoto2 -gsm -odbc -openal -opencl -osmesa -oss -samba -scanner (-selinux) {-test} -v4l -xcomposite -xinerama" ABI_X86="32 64 (-x32)" LINGUAS="en -ar -bg -ca -cs -da -de -el -en_US -eo -es -fa -fi -fr -he -hi -hr -hu -it -ja -ko -lt -ml -nb_NO -nl -or -pa -pl -pt_BR -pt_PT -rm -ro -ru -sk -sl -sr_RS@cyrillic -sr_RS@latin -sv -te -th -tr -uk -wa -zh_CN -zh_TW"
[nomerge ] sys-fs/udisks-2.1.3:2 USE="gptfdisk introspection systemd -cryptsetup -debug (-selinux)"
[ebuild R ] sys-block/parted-3.1-r1 USE="debug nls readline -device-mapper (-selinux) -static-libs* {-test}" 1,489 kB
[ebuild R ] sys-fs/e2fsprogs-1.42.7 USE="nls -static-libs*" 5,841 kB
[nomerge ] gnome-base/gnome-extra-apps-3.10.0-r1:3.0 USE="games shotwell tracker"
[nomerge ] gnome-extra/gnome-documents-3.10.2
[nomerge ] net-misc/gnome-online-miners-3.10.3
[nomerge ] app-misc/tracker-0.16.4:0/16 USE="exif flac gif gstreamer gtk iso jpeg libsecret miner-fs mp3 nautilus pdf tiff vorbis xml -cue (-eds) -firefox-bookmarks -gsf -iptc -laptop -networkmanager -playlist -rss {-test} -thunderbird -upnp-av -xine -xmp -xps"
[ebuild R ] media-gfx/imagemagick-6.8.8.10-r1:0/6.8.8.10 USE="X bzip2 cxx jpeg lcms openmp pango png svg tiff truetype xml zlib -autotrace -corefonts -djvu -fftw -fontconfig -fpx -graphviz -hdri -jbig -jpeg2k -lqr -lzma (-opencl) -openexr -perl -postscript -q32 -q64 -q8 -raw -static-libs* {-test} -webp -wmf" 7,355 kB
[nomerge ] gnome-base/gnome-extra-apps-3.10.0-r1:3.0 USE="games shotwell tracker"
[nomerge ] media-gfx/shotwell-0.15.1 LINGUAS="-af -af_ZA -ar -as -ast -bg -bn -bn_IN -ca -cs -da -de -el -en_GB -eo -es -et -eu -fi -fr -gl -gu -he -hi -hr -hu -ia -id -id_ID -it -ja -kk -km -kn -ko -ky -lt -lv -mk -ml -mr -nb -nl -nn_NO -or -pa -pl -pt -pt_BR -ro -ru -sk -sl -sr -sv -ta -ta_IN -te -te_IN -th -tr -uk -vi -zh_CN -zh_TW"
[nomerge ] net-libs/webkit-gtk-2.2.6:3/29 USE="egl geoloc gstreamer introspection jit libsecret opengl spell webgl (-aqua) -coverage -debug -gles2 {-test}"
[ebuild R ] media-libs/libwebp-0.4.0:0/5 USE="gif jpeg opengl png tiff -experimental -static-libs* -swap-16bit-csp" ABI_X86="(64) (-32) (-x32)" 868 kB
[ebuild R ] media-libs/giflib-4.1.6-r2 USE="X -rle -static-libs*" 495 kB
[ebuild R ] x11-libs/libSM-1.2.2 USE="ipv6 uuid -doc -static-libs*" ABI_X86="(64) (-32) (-x32)" 341 kB
[nomerge ] gnome-base/gnome-core-apps-3.10.0:3.0 USE="bluetooth cdr cups"
[nomerge ] app-text/evince-3.10.3:0/evd3.4-evv3.3 USE="introspection libsecret nautilus postscript tiff -debug -djvu -dvi -t1lib -xps"
[ebuild R ] app-text/libspectre-0.2.7 USE="-debug -doc -static-libs*" 379 kB
[nomerge ] gnome-base/gvfs-1.18.3-r1 USE="bluetooth cdda gnome-online-accounts gtk http libsecret systemd udev udisks -afp -archive -avahi -bluray -fuse -gphoto2 -ios -mtp -samba {-test}"
[nomerge ] net-wireless/bluez-5.18:0/3 USE="cups obex readline systemd udev -debug (-selinux) {-test}"
[nomerge ] net-print/cups-1.7.1-r1 USE="X acl dbus pam python ssl systemd threads usb -debug -gnutls -java -kerberos -lprng-compat (-selinux) -static-libs* -xinetd -zeroconf" LINGUAS="-ca -es -fr -it -ja -ru" PYTHON_SINGLE_TARGET="python2_7 (-python2_6)" PYTHON_TARGETS="python2_7 (-python2_6)"
[ebuild R ] net-print/cups-filters-1.0.53 USE="dbus foomatic jpeg png tiff -perl -static-libs* -zeroconf" 1,282 kB
[nomerge ] virtual/man-0-r1
[nomerge ] sys-apps/man-1.6g USE="lzma nls"
[nomerge ] sys-apps/groff-1.22.2 USE="X -examples" LINGUAS="-ja"
[ebuild R ] x11-libs/libXaw-1.0.12 USE="-deprecated -doc -static-libs*" ABI_X86="(64) (-32) (-x32)" 662 kB
[ebuild R ] x11-libs/libXpm-3.5.11 USE="-static-libs*" ABI_X86="(64) (-32) (-x32)" 434 kB
[nomerge ] app-text/libspectre-0.2.7 USE="-debug -doc -static-libs*"
[ebuild R ] app-text/ghostscript-gpl-9.10-r2 USE="X cups dbus gtk -bindist -djvu -idn -static-libs*" LINGUAS="-de -ja -ko -zh_CN -zh_TW" 30,263 kB
[nomerge ] gnome-extra/gnome-user-share-3.10.2 USE="bluetooth"
[nomerge ] www-apache/mod_dnssd-0.6 USE="-doc"
[nomerge ] www-servers/apache-2.2.27:2 USE="ldap ssl -debug -doc (-selinux) -static -suexec -threads" APACHE2_MODULES="actions alias auth_basic auth_digest authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias -asis -authn_dbd -cern_meta -charset_lite -dbd -dumpio -ident -imagemap -log_forensic -proxy -proxy_ajp -proxy_balancer -proxy_connect -proxy_ftp -proxy_http -proxy_scgi -reqtimeout -substitute -version" APACHE2_MPMS="-event -itk -peruser -prefork -worker"
[nomerge ] net-nds/openldap-2.4.35-r1 USE="berkdb crypt ipv6 minimal ssl syslog tcpd -cxx -debug -experimental -gnutls -icu -iodbc -kerberos -odbc -overlays -perl -samba -sasl (-selinux) -slp -smbkrb5passwd"
[nomerge ] sys-apps/groff-1.22.2 USE="X -examples" LINGUAS="-ja"
[ebuild R ] x11-libs/libXmu-1.1.2 USE="ipv6 -doc -static-libs*" ABI_X86="(64) (-32) (-x32)" 387 kB
[ebuild R ] x11-libs/libXt-1.1.4 USE="-static-libs*" ABI_X86="(64) (-32) (-x32)" 745 kB
[nomerge ] media-video/mplayer-1.1.1-r1 USE="3dnow 3dnowext X a52 alsa cdio cpudetection dts dv dvd dvdnav enca encode faad gif iconv ipv6 jpeg libass live mad mmx mng mp3 network opengl osdmenu png pulseaudio quicktime rar rtc sdl shm speex sse sse2 ssse3 theora toolame tremor truetype twolame unicode vorbis x264 xscreensaver xv xvid -aalib (-altivec) (-aqua) -bidi -bindist -bl -bluray -bs2b -cddb -cdparanoia -debug -dga -directfb -doc -dvb -dxr3 -faac -fbcon -ftp -ggi -gsm -jack -joystick -jpeg2k -ladspa -libcaca -libmpeg2 -lirc -lzo -md5sum -mmxext -nas -nut -openal -oss -pnm -pvr -radio -rtmp -samba -tga -v4l -vdpau (-vidix) -xanim -xinerama -xvmc -zoran" VIDEO_CARDS="-mga -s3virge -tdfx"
[ebuild R ] media-libs/libass-0.10.1 USE="enca fontconfig harfbuzz -static-libs*" 252 kB
[nomerge ] gnome-base/gnome-core-apps-3.10.0:3.0 USE="bluetooth cdr cups"
[nomerge ] net-im/empathy-3.10.3 USE="geoloc gnome gnome-online-accounts map spell v4l -debug {-test}"
[nomerge ] media-libs/libchamplain-0.12.7:0.12 USE="gtk introspection vala -debug"
[ebuild R ] media-libs/memphis-0.2.3:0.2 USE="introspection vala -debug -doc -static-libs*" 449 kB
[nomerge ] gnome-base/gnome-3.10.0:2.0 USE="bluetooth cdr classic cups extras -accessibility"
[nomerge ] x11-wm/mutter-3.10.4 USE="introspection -debug {-test}"
[nomerge ] gnome-extra/zenity-3.8.0-r2 USE="libnotify webkit -debug {-test}"
[nomerge ] net-libs/webkit-gtk-2.2.6:3/29 USE="egl geoloc gstreamer introspection jit libsecret opengl spell webgl (-aqua) -coverage -debug -gles2 {-test}"
[ebuild R ] media-libs/harfbuzz-0.9.23:0/0.9.18 USE="cairo glib graphite icu introspection truetype -static-libs*" 1,004 kB
[ebuild R ] x11-libs/cairo-1.12.16 USE="X glib opengl svg xcb (-aqua) -debug -directfb -doc (-drm) (-gallium) (-gles2) -legacy-drivers -openvg (-qt4) -static-libs* -valgrind -xlib-xcb" 35,049 kB
[ebuild R ~] net-fs/netatalk-3.1.1 USE="acl cracklib dbus ldap pam shadow ssl tcpd utils -avahi -debug -kerberos -pgp -quota -samba -static-libs* -tracker" PYTHON_TARGETS="python2_7 (-python2_6)" 1,748 kB
[nomerge ] net-im/empathy-3.10.3 USE="geoloc gnome gnome-online-accounts map spell v4l -debug {-test}"
[nomerge ] net-libs/webkit-gtk-2.2.6:3/29 USE="egl geoloc gstreamer introspection jit libsecret opengl spell webgl (-aqua) -coverage -debug -gles2 {-test}"
[ebuild R ] app-misc/geoclue-0.12.99 USE="gtk -connman -geonames -gps -gsmloc -hostip -manual -networkmanager -nominatim -plazes -skyhook -static-libs* -yahoo-geo" 594 kB
[nomerge ] gnome-base/gnome-3.10.0:2.0 USE="bluetooth cdr classic cups extras -accessibility"
[nomerge ] gnome-extra/gnome-shell-extensions-3.10.1 USE="-examples"
[nomerge ] app-admin/eselect-gnome-shell-extensions-20120911
[nomerge ] gnome-base/gnome-shell-3.10.4-r2 USE="bluetooth i18n networkmanager (-openrc-force)" PYTHON_TARGETS="python2_7"
[nomerge ] gnome-base/gnome-control-center-3.10.3:2 USE="bluetooth colord cups gnome-online-accounts i18n socialweb -debug -kerberos -v4l" INPUT_DEVICES="-wacom"
[ebuild R ] net-print/cups-1.7.1-r1 USE="X acl dbus pam python ssl systemd threads usb -debug -gnutls -java -kerberos -lprng-compat (-selinux) -static-libs* -xinetd -zeroconf" LINGUAS="-ca -es -fr -it -ja -ru" PYTHON_SINGLE_TARGET="python2_7 (-python2_6)" PYTHON_TARGETS="python2_7 (-python2_6)" 8,534 kB
[ebuild R ] dev-libs/dbus-glib-0.100.2-r1 USE="-debug -doc -static-libs* {-test}" ABI_X86="(64) (-32) (-x32)" 732 kB
[ebuild R ] sys-apps/dbus-1.6.18-r1 USE="X systemd -debug -doc (-selinux) -static-libs* {-test}" ABI_X86="(64) (-32) (-x32)" 1,872 kB
[nomerge ] gnome-base/gnome-extra-apps-3.10.0-r1:3.0 USE="games shotwell tracker"
[nomerge ] mail-client/evolution-3.10.4-r1:2.0 USE="bogofilter crypt gstreamer ldap ssl weather -highlight -kerberos -map -spamassassin"
[ebuild R ] dev-libs/libgdata-0.14.1:0/13 USE="gnome introspection vala -debug -static-libs*" 1,432 kB
[nomerge ] gnome-base/gnome-core-apps-3.10.0:3.0 USE="bluetooth cdr cups"
[nomerge ] media-video/totem-3.10.1 USE="introspection nautilus python -debug -flash -grilo -lirc -nsplugin {-test} -zeitgeist" PYTHON_SINGLE_TARGET="python2_7 (-python2_6)" PYTHON_TARGETS="python2_7 (-python2_6)"
[nomerge ] dev-libs/totem-pl-parser-3.10.2:0/18 USE="crypt introspection quvi -archive {-test}"
[ebuild R ] dev-libs/gmime-2.6.20:2.6 USE="vala -doc -mono -static-libs*" 724 kB
[ebuild R ] media-libs/libquvi-0.9.4:0/8 USE="nls -examples -static-libs*" 365 kB
[nomerge ] media-gfx/shotwell-0.15.1 LINGUAS="-af -af_ZA -ar -as -ast -bg -bn -bn_IN -ca -cs -da -de -el -en_GB -eo -es -et -eu -fi -fr -gl -gu -he -hi -hr -hu -ia -id -id_ID -it -ja -kk -km -kn -ko -ky -lt -lv -mk -ml -mr -nb -nl -nn_NO -or -pa -pl -pt -pt_BR -ro -ru -sk -sl -sr -sv -ta -ta_IN -te -te_IN -th -tr -uk -vi -zh_CN -zh_TW"
[ebuild R ] media-libs/gexiv2-0.6.1 USE="introspection -static-libs*" PYTHON_TARGETS="python2_7 python3_3 (-python2_6) -python3_2" 27 kB
[nomerge ] gnome-base/gnome-extra-apps-3.10.0-r1:3.0 USE="games shotwell tracker"
[nomerge ] www-client/epiphany-3.10.3 USE="jit nss -debug {-test}"
[nomerge ] net-dns/avahi-0.6.31-r2 USE="dbus gdbm gtk introspection ipv6 python -autoipd -bookmarks -doc -gtk3 -howl-compat -mdnsresponder-compat -mono -qt4 {-test} -utils" PYTHON_TARGETS="python2_7 (-python2_6)"
[nomerge ] dev-python/pygtk-2.24.0-r4:2 USE="-doc -examples {-test}" PYTHON_TARGETS="python2_7 (-python2_6)"
[ebuild R ] gnome-base/libglade-2.6.4-r1:2.0 USE="-doc -static-libs* {-test}" PYTHON_SINGLE_TARGET="python2_7 (-pypy)" PYTHON_TARGETS="python2_7 (-pypy)" 348 kB
[nomerge ] gnome-extra/gnome-documents-3.10.2
[nomerge ] dev-libs/libgdata-0.14.1:0/13 USE="gnome introspection vala -debug -static-libs*"
[nomerge ] net-libs/gnome-online-accounts-3.10.4:0/1 USE="gnome introspection -debug -kerberos"
[nomerge ] net-libs/webkit-gtk-2.2.6:3/29 USE="egl geoloc gstreamer introspection jit libsecret opengl spell webgl (-aqua) -coverage -debug -gles2 {-test}"
[ebuild R ] app-text/enchant-1.6.0 USE="hunspell -aspell -static-libs* -zemberek" 593 kB
[nomerge ] net-misc/gnome-online-miners-3.10.3
[nomerge ] net-libs/gnome-online-accounts-3.10.4:0/1 USE="gnome introspection -debug -kerberos"
[nomerge ] gnome-base/gnome-control-center-3.10.3:2 USE="bluetooth colord cups gnome-online-accounts i18n socialweb -debug -kerberos -v4l" INPUT_DEVICES="-wacom"
[nomerge ] net-misc/modemmanager-1.2.0-r1:0/1 USE="introspection policykit qmi vala -mbim -qmi-newest"
[ebuild R ] net-libs/libqmi-1.8.0 USE="-doc -static-libs* (-test%)" 645 kB
[ebuild R ] dev-libs/fribidi-0.19.5-r1 USE="-static-libs*" 611 kB
[ebuild R ] dev-libs/glib-2.38.2-r1:2 USE="(mime%*) -debug (-fam) (-selinux) -static-libs* -systemtap {-test} -utils -xattr" ABI_X86="(64) (-32) (-x32)" PYTHON_TARGETS="python2_7 (-python2_6)" 8,447 kB
[nomerge ] media-video/mediainfo-0.7.65 USE="wxwidgets -curl -mms"
[ebuild R ] media-libs/libmediainfo-0.7.65 USE="-curl -doc -mms -static-libs*" 1,007 kB
[nomerge ] media-video/totem-3.10.1 USE="introspection nautilus python -debug -flash -grilo -lirc -nsplugin {-test} -zeitgeist" PYTHON_SINGLE_TARGET="python2_7 (-python2_6)" PYTHON_TARGETS="python2_7 (-python2_6)"
[nomerge ] media-plugins/gst-plugins-meta-1.0-r1:1.0 USE="X a52 aac alsa cdda dts dvd ffmpeg flac mp3 mpeg ogg pulseaudio vorbis x264 -dv -dvb -http -jack -lame -libass -libvisual -mms -opus -oss -taglib -theora -v4l -vcd (-vpx) -wavpack"
[nomerge ] media-plugins/gst-plugins-libav-1.1.0_pre20130128-r1:1.0 USE="orc"
[nomerge ] virtual/ffmpeg-0.10.3 USE="X encode jpeg2k mp3 sdl theora threads truetype vdpau x264 -gsm -speex -vaapi"
[nomerge ] media-video/ffmpeg-1.0.8 USE="X aac alsa amr bzip2 encode faac hardcoded-tables jpeg2k mmx mp3 network oss pulseaudio schroedinger sdl speex ssse3 theora threads truetype v4l vdpau vorbis x264 xvid zlib -3dnow -3dnowext -aacplus (-altivec) -avx -bindist -bluray -cdio (-celt) -cpudetection -debug -doc -examples -fdk -flite -fontconfig -frei0r -gnutls -gsm -iec61883 -ieee1394 -jack -libass -libcaca -libv4l -mmxext -modplug (-neon) -openal -openssl -opus -pic -rtmp -static-libs* {-test} -twolame -vaapi (-vis) -vpx" FFTOOLS="aviocat cws2fws ffeval fourcc2pixfmt graph2dot ismindex pktdumper qt-faststart trasher"
[ebuild R ] media-libs/openjpeg-1.5.1 USE="-doc -static-libs* {-test}" 2,063 kB
[nomerge ] media-libs/libmediainfo-0.7.65 USE="-curl -doc -mms -static-libs*"
[ebuild R ] dev-libs/tinyxml2-1.0.9_p20121123 USE="-static-libs* {-test}" 90 kB
[nomerge ] app-emulation/virtualbox-4.2.22 USE="additions alsa doc extensions opengl pam pulseaudio python qt4 sdk vnc -headless -java -vboxwebsrv" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7"
[ebuild R ] media-libs/freeglut-2.8.1-r1 USE="-debug -static-libs*" ABI_X86="(64) (-32) (-x32)" 982 kB
[nomerge ] virtual/glu-9.0-r1 ABI_X86="(64) (-32) (-x32)"
[ebuild R ] media-libs/glu-9.0.0-r1 USE="-static-libs*" ABI_X86="(64) (-32) (-x32)" 482 kB
[nomerge ] media-video/mplayer-1.1.1-r1 USE="3dnow 3dnowext X a52 alsa cdio cpudetection dts dv dvd dvdnav enca encode faad gif iconv ipv6 jpeg libass live mad mmx mng mp3 network opengl osdmenu png pulseaudio quicktime rar rtc sdl shm speex sse sse2 ssse3 theora toolame tremor truetype twolame unicode vorbis x264 xscreensaver xv xvid -aalib (-altivec) (-aqua) -bidi -bindist -bl -bluray -bs2b -cddb -cdparanoia -debug -dga -directfb -doc -dvb -dxr3 -faac -fbcon -ftp -ggi -gsm -jack -joystick -jpeg2k -ladspa -libcaca -libmpeg2 -lirc -lzo -md5sum -mmxext -nas -nut -openal -oss -pnm -pvr -radio -rtmp -samba -tga -v4l -vdpau (-vidix) -xanim -xinerama -xvmc -zoran" VIDEO_CARDS="-mga -s3virge -tdfx"
[ebuild R ] x11-libs/libXScrnSaver-1.2.2-r1 USE="-static-libs*" ABI_X86="(64) (-32) (-x32)" 284 kB
[ebuild R ] media-sound/twolame-0.3.12 USE="-static-libs*" 472 kB
[nomerge ] www-client/epiphany-3.10.3 USE="jit nss -debug {-test}"
[nomerge ] x11-libs/libwnck-3.4.7:3 USE="introspection startup-notification -tools"
[ebuild R ] x11-libs/libXres-1.0.7 USE="-static-libs*" 277 kB
[nomerge ] gnome-extra/gnome-power-manager-3.10.1 USE="{-test}"
[nomerge ] x11-libs/cairo-1.12.16 USE="X glib opengl svg xcb (-aqua) -debug -directfb -doc (-drm) (-gallium) (-gles2) -legacy-drivers -openvg (-qt4) -static-libs* -valgrind -xlib-xcb"
[nomerge ] x11-libs/xcb-util-0.3.9 USE="-doc -static-libs* {-test}"
[ebuild R ] x11-libs/xcb-util-wm-0.4.1 USE="-doc -static-libs* {-test}" 315 kB
[ebuild R ] x11-libs/xcb-util-keysyms-0.3.9 USE="-doc -static-libs* {-test}" 280 kB
[ebuild R ] x11-libs/xcb-util-image-0.3.9 USE="-doc -static-libs* {-test}" 304 kB
[ebuild R ] x11-libs/xcb-util-renderutil-0.3.8 USE="-doc -static-libs* {-test}" 252 kB
[ebuild NS ] sys-kernel/gentoo-sources-3.12.21-r1:3.12.21-r1 [3.10.7-r1:3.10.7-r1, 3.12.20:3.12.20] USE="-build -deblob -experimental -symlink" 75,196 kB
[ebuild R ] sys-apps/openrc-0.12.4 USE="ncurses netifrc pam unicode -debug -newnet (-prefix) (-selinux) -static-libs* -tools" 129 kB
[nomerge ] gnome-base/gnome-core-apps-3.10.0:3.0 USE="bluetooth cdr cups"
[nomerge ] gnome-base/gnome-core-libs-3.10.0:3.0 USE="cups python"
[nomerge ] x11-libs/libwnck-3.4.7:3 USE="introspection startup-notification -tools"
[ebuild R ] x11-libs/startup-notification-0.12 USE="-static-libs*" 347 kB
[ebuild R ] x11-libs/xcb-util-0.3.9 USE="-doc -static-libs* {-test}" 282 kB
[nomerge ] media-video/mplayer-1.1.1-r1 USE="3dnow 3dnowext X a52 alsa cdio cpudetection dts dv dvd dvdnav enca encode faad gif iconv ipv6 jpeg libass live mad mmx mng mp3 network opengl osdmenu png pulseaudio quicktime rar rtc sdl shm speex sse sse2 ssse3 theora toolame tremor truetype twolame unicode vorbis x264 xscreensaver xv xvid -aalib (-altivec) (-aqua) -bidi -bindist -bl -bluray -bs2b -cddb -cdparanoia -debug -dga -directfb -doc -dvb -dxr3 -faac -fbcon -ftp -ggi -gsm -jack -joystick -jpeg2k -ladspa -libcaca -libmpeg2 -lirc -lzo -md5sum -mmxext -nas -nut -openal -oss -pnm -pvr -radio -rtmp -samba -tga -v4l -vdpau (-vidix) -xanim -xinerama -xvmc -zoran" VIDEO_CARDS="-mga -s3virge -tdfx"
[ebuild R ] dev-libs/libcdio-paranoia-0.90_p1-r1 USE="cxx -static-libs* {-test}" ABI_X86="(64) (-32) (-x32)" 620 kB
[ebuild R ] dev-libs/libcdio-0.92:0/15 USE="cxx -cddb -minimal -static-libs* {-test}" ABI_X86="(64) (-32) (-x32)" 2,647 kB
[nomerge ] www-client/firefox-24.5.0 USE="alsa dbus gstreamer jit libnotify minimal pulseaudio startup-notification -bindist -custom-cflags -custom-optimization -debug (-pgo) (-selinux) -system-cairo -system-icu -system-jpeg -system-sqlite {-test} -wifi" LINGUAS="-af -ak -ar -as -ast -be -bg -bn_BD -bn_IN -br -bs -ca -cs -csb -cy -da -de -el -en_GB -en_ZA -eo -es_AR -es_CL -es_ES -es_MX -et -eu -fa -fi -fr -fy_NL -ga_IE -gd -gl -gu_IN -he -hi_IN -hr -hu -hy_AM -id -is -it -ja -kk -km -kn -ko -ku -lg -lt -lv -mai -mk -ml -mr -nb_NO -nl -nn_NO -nso -or -pa_IN -pl -pt_BR -pt_PT -rm -ro -ru -si -sk -sl -son -sq -sr -sv_SE -ta -ta_LK -te -th -tr -uk -vi -zh_CN -zh_TW -zu"
[nomerge ] media-plugins/gst-plugins-meta-0.10-r8:0.10 USE="X a52 aac alsa cdda dts dvd ffmpeg flac mp3 mpeg ogg pulseaudio vorbis x264 xv xvid -dv -dvb -http -jack -lame -libass -libvisual -mms -musepack -opus -oss -taglib -theora -v4l -vcd -vpx -wavpack"
[nomerge ] media-plugins/gst-plugins-ffmpeg-0.10.13_p201211-r1:0.10 USE="orc"
[nomerge ] media-video/ffmpeg-1.0.8 USE="X aac alsa amr bzip2 encode faac hardcoded-tables jpeg2k mmx mp3 network oss pulseaudio schroedinger sdl speex ssse3 theora threads truetype v4l vdpau vorbis x264 xvid zlib -3dnow -3dnowext -aacplus (-altivec) -avx -bindist -bluray -cdio (-celt) -cpudetection -debug -doc -examples -fdk -flite -fontconfig -frei0r -gnutls -gsm -iec61883 -ieee1394 -jack -libass -libcaca -libv4l -mmxext -modplug (-neon) -openal -openssl -opus -pic -rtmp -static-libs* {-test} -twolame -vaapi (-vis) -vpx" FFTOOLS="aviocat cws2fws ffeval fourcc2pixfmt graph2dot ismindex pktdumper qt-faststart trasher"
[ebuild U ] x11-libs/libvdpau-0.7 [0.5] USE="dri -doc" ABI_X86="(64%*) (-32) (-x32)" 476 kB
[ebuild R ] media-sound/lame-3.99.5 USE="-debug (-mmx) -mp3rtp -sndfile -static-libs*" 1,412 kB
[nomerge ] app-emulation/virtualbox-4.2.22 USE="additions alsa doc extensions opengl pam pulseaudio python qt4 sdk vnc -headless -java -vboxwebsrv" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7"
[nomerge ] dev-texlive/texlive-latexextra-2012 USE="-doc -source"
[nomerge ] dev-texlive/texlive-pictures-2012 USE="-doc -source"
[nomerge ] app-text/texlive-core-2012-r1 USE="X -cjk -doc -source -tk -xetex"
[ebuild R ] x11-libs/libXp-1.0.2 USE="-static-libs*" ABI_X86="(64) (-32) (-x32)" 292 kB
[nomerge ] media-video/mplayer-1.1.1-r1 USE="3dnow 3dnowext X a52 alsa cdio cpudetection dts dv dvd dvdnav enca encode faad gif iconv ipv6 jpeg libass live mad mmx mng mp3 network opengl osdmenu png pulseaudio quicktime rar rtc sdl shm speex sse sse2 ssse3 theora toolame tremor truetype twolame unicode vorbis x264 xscreensaver xv xvid -aalib (-altivec) (-aqua) -bidi -bindist -bl -bluray -bs2b -cddb -cdparanoia -debug -dga -directfb -doc -dvb -dxr3 -faac -fbcon -ftp -ggi -gsm -jack -joystick -jpeg2k -ladspa -libcaca -libmpeg2 -lirc -lzo -md5sum -mmxext -nas -nut -openal -oss -pnm -pvr -radio -rtmp -samba -tga -v4l -vdpau (-vidix) -xanim -xinerama -xvmc -zoran" VIDEO_CARDS="-mga -s3virge -tdfx"
[nomerge ] media-libs/libsdl-1.2.15-r4 USE="X alsa joystick opengl pulseaudio sound video xv -aalib -custom-cflags -dga -directfb -fbcon -ggi -libcaca -nas -oss (-ps3) -static-libs* (-svga) -tslib -xinerama"
[ebuild R ] media-libs/audiofile-0.3.6-r1:0/1 USE="flac -static-libs* {-test}" ABI_X86="(64) (-32) (-x32)" 519 kB
[nomerge ] media-video/mplayer-1.1.1-r1 USE="3dnow 3dnowext X a52 alsa cdio cpudetection dts dv dvd dvdnav enca encode faad gif iconv ipv6 jpeg libass live mad mmx mng mp3 network opengl osdmenu png pulseaudio quicktime rar rtc sdl shm speex sse sse2 ssse3 theora toolame tremor truetype twolame unicode vorbis x264 xscreensaver xv xvid -aalib (-altivec) (-aqua) -bidi -bindist -bl -bluray -bs2b -cddb -cdparanoia -debug -dga -directfb -doc -dvb -dxr3 -faac -fbcon -ftp -ggi -gsm -jack -joystick -jpeg2k -ladspa -libcaca -libmpeg2 -lirc -lzo -md5sum -mmxext -nas -nut -openal -oss -pnm -pvr -radio -rtmp -samba -tga -v4l -vdpau (-vidix) -xanim -xinerama -xvmc -zoran" VIDEO_CARDS="-mga -s3virge -tdfx"
[nomerge ] app-i18n/enca-1.13-r3 USE="recode -doc"
[ebuild R ] app-text/recode-3.6_p17-r2 USE="nls -static-libs*" 2,021 kB
[nomerge ] dev-libs/gmime-2.6.20:2.6 USE="vala -doc -mono -static-libs*"
[ebuild R ] app-crypt/gpgme-1.3.2:1 USE="-common-lisp -static-libs*" 848 kB
[nomerge ] media-libs/gexiv2-0.6.1 USE="introspection -static-libs*" PYTHON_TARGETS="python2_7 python3_3 (-python2_6) -python3_2"
[ebuild R ] media-gfx/exiv2-0.23-r1 USE="nls zlib -contrib -doc -examples -static-libs* -xmp" LINGUAS="-de -es -fi -fr -pl -ru -sk" 3,442 kB
[nomerge ] www-client/firefox-24.5.0 USE="alsa dbus gstreamer jit libnotify minimal pulseaudio startup-notification -bindist -custom-cflags -custom-optimization -debug (-pgo) (-selinux) -system-cairo -system-icu -system-jpeg -system-sqlite {-test} -wifi" LINGUAS="-af -ak -ar -as -ast -be -bg -bn_BD -bn_IN -br -bs -ca -cs -csb -cy -da -de -el -en_GB -en_ZA -eo -es_AR -es_CL -es_ES -es_MX -et -eu -fa -fi -fr -fy_NL -ga_IE -gd -gl -gu_IN -he -hi_IN -hr -hu -hy_AM -id -is -it -ja -kk -km -kn -ko -ku -lg -lt -lv -mai -mk -ml -mr -nb_NO -nl -nn_NO -nso -or -pa_IN -pl -pt_BR -pt_PT -rm -ro -ru -si -sk -sl -son -sq -sr -sv_SE -ta -ta_LK -te -th -tr -uk -vi -zh_CN -zh_TW -zu"
[ebuild R ] app-text/hunspell-1.3.2-r3 USE="ncurses nls readline -static-libs*" LINGUAS="en -af -bg -ca -cs -cy -da -de -el -eo -es -et -fo -fr -ga -gl -he -hr -hu -ia -id -is -it -km -ku -lt -lv -mk -ms -nb -nl -nn -pl -pt -pt_BR -ro -ru -sk -sl -sq -sv -sw -tn -uk -zu" 954 kB
[nomerge ] media-libs/memphis-0.2.3:0.2 USE="introspection vala -debug -doc -static-libs*"
[nomerge ] dev-util/gtk-doc-1.20 USE="-debug -doc -emacs -highlight {-test} -vim" PYTHON_SINGLE_TARGET="python2_7 (-python2_6)" PYTHON_TARGETS="python2_7 (-python2_6)"
[ebuild R ] app-text/openjade-1.3.2-r6 USE="-static-libs*" 874 kB
[ebuild R ] app-text/opensp-1.5.2-r3 USE="nls -doc -static-libs* {-test}" 1,486 kB
[nomerge ] dev-python/matplotlib-1.3.0 USE="cairo gtk wxwidgets -doc -examples -excel -fltk -gtk3 -latex -qt4 {-test} -tk" PYTHON_TARGETS="python2_7 python3_3 (-python2_6) -python3_2"
[nomerge ] dev-python/wxpython-2.8.12.1-r2:2.8 USE="cairo opengl -doc -examples" PYTHON_TARGETS="python2_7 (-python2_6)"
[nomerge ] dev-python/pycairo-1.10.0-r4 USE="svg xcb -doc -examples {-test}" PYTHON_TARGETS="python2_7 python3_3 (-python2_6) -python3_2"
[ebuild R ] x11-libs/xpyb-1.3.1-r3 USE="(-selinux) -static-libs*" PYTHON_TARGETS="python2_7 (-python2_6)" 268 kB
[nomerge ] gnome-base/gnome-control-center-3.10.3:2 USE="bluetooth colord cups gnome-online-accounts i18n socialweb -debug -kerberos -v4l" INPUT_DEVICES="-wacom"
[ebuild R ] dev-libs/libpwquality-1.2.3 USE="pam python -static-libs*" PYTHON_TARGETS="python2_7" 360 kB
[nomerge ] gnome-base/gnome-extra-apps-3.10.0-r1:3.0 USE="games shotwell tracker"
[nomerge ] net-misc/vino-3.10.1 USE="crypt gnome-keyring ipv6 jpeg ssl telepathy zlib -avahi -debug -networkmanager"
[ebuild R ] net-libs/gnutls-2.12.23-r4 USE="cxx nettle nls zlib -bindist -doc -examples -guile -lzo -pkcs11 -static-libs* {-test}" 7,109 kB
[nomerge ] media-sound/twolame-0.3.12 USE="-static-libs*"
[ebuild R ] media-libs/libsndfile-1.0.25-r1 USE="alsa -minimal -sqlite -static-libs* {-test}" ABI_X86="(64) (-32) (-x32)" 1,036 kB
[nomerge ] gnome-extra/gnome-shell-extensions-3.10.1 USE="-examples"
[nomerge ] gnome-base/gnome-shell-3.10.4-r2 USE="bluetooth i18n networkmanager (-openrc-force)" PYTHON_TARGETS="python2_7"
[nomerge ] x11-wm/mutter-3.10.4 USE="introspection -debug {-test}"
[ebuild R ] x11-libs/libXinerama-1.1.3 USE="-static-libs*" ABI_X86="(64) (-32) (-x32)" 272 kB
[nomerge ] gnome-base/gnome-control-center-3.10.3:2 USE="bluetooth colord cups gnome-online-accounts i18n socialweb -debug -kerberos -v4l" INPUT_DEVICES="-wacom"
[ebuild R ] x11-libs/libXxf86misc-1.0.3 USE="-static-libs*" 250 kB
[nomerge ] media-sound/pulseaudio-5.0-r1 USE="X alsa asyncns bluetooth caps dbus gdbm glib gnome gtk ipv6 orc ssl systemd tcpd udev webrtc-aec -avahi -doc -equalizer -jack -libsamplerate -lirc (-neon) (-oss) -qt4 -realtime (-system-wide) {-test} -xen" ABI_X86="(64) (-32) (-x32)"
[nomerge ] media-libs/libsndfile-1.0.25-r1 USE="alsa -minimal -sqlite -static-libs* {-test}" ABI_X86="(64) (-32) (-x32)"
[ebuild R ] media-libs/flac-1.3.0 USE="3dnow cxx ogg sse (-altivec) -debug -static-libs*" ABI_X86="(64) (-32) (-x32)" 1,059 kB
[nomerge ] media-gfx/shotwell-0.15.1 LINGUAS="-af -af_ZA -ar -as -ast -bg -bn -bn_IN -ca -cs -da -de -el -en_GB -eo -es -et -eu -fi -fr -gl -gu -he -hi -hr -hu -ia -id -id_ID -it -ja -kk -km -kn -ko -ky -lt -lv -mk -ml -mr -nb -nl -nn_NO -or -pa -pl -pt -pt_BR -ro -ru -sk -sl -sr -sv -ta -ta_IN -te -te_IN -th -tr -uk -vi -zh_CN -zh_TW"
[ebuild R ] media-libs/libexif-0.6.21 USE="nls -doc -static-libs*" 1,337 kB
[nomerge ] x11-base/xorg-server-1.15.0:0/1.15.0 USE="ipv6 kdrive nptl suid udev xorg -dmx -doc -minimal (-selinux) -static-libs* -tslib -unwind -xnest -xvfb"
[ebuild R ] x11-libs/libXv-1.0.10 USE="-static-libs*" ABI_X86="(64) (-32) (-x32)" 294 kB
[ebuild R ] x11-libs/libxkbfile-1.0.8 USE="-static-libs*" 328 kB
[nomerge ] media-video/mplayer-1.1.1-r1 USE="3dnow 3dnowext X a52 alsa cdio cpudetection dts dv dvd dvdnav enca encode faad gif iconv ipv6 jpeg libass live mad mmx mng mp3 network opengl osdmenu png pulseaudio quicktime rar rtc sdl shm speex sse sse2 ssse3 theora toolame tremor truetype twolame unicode vorbis x264 xscreensaver xv xvid -aalib (-altivec) (-aqua) -bidi -bindist -bl -bluray -bs2b -cddb -cdparanoia -debug -dga -directfb -doc -dvb -dxr3 -faac -fbcon -ftp -ggi -gsm -jack -joystick -jpeg2k -ladspa -libcaca -libmpeg2 -lirc -lzo -md5sum -mmxext -nas -nut -openal -oss -pnm -pvr -radio -rtmp -samba -tga -v4l -vdpau (-vidix) -xanim -xinerama -xvmc -zoran" VIDEO_CARDS="-mga -s3virge -tdfx"
[ebuild R ] x11-libs/libXxf86vm-1.1.3 USE="-static-libs*" ABI_X86="(64) (-32) (-x32)" 278 kB
[nomerge ] gnome-base/gdm-3.10.0.1-r1 USE="branding introspection ipv6 systemd tcpd -accessibility -audit -debug -fprint -plymouth (-selinux) -smartcard {-test} -xinerama"
[ebuild R ] x11-libs/libXft-2.3.1-r1 USE="-static-libs*" ABI_X86="(64) (-32) (-x32)" 305 kB
[nomerge ] x11-wm/mutter-3.10.4 USE="introspection -debug {-test}"
[ebuild R ] x11-libs/libXcursor-1.1.14 USE="-static-libs*" ABI_X86="(64) (-32) (-x32)" 305 kB
[ebuild R ] x11-libs/libXdamage-1.1.4-r1 USE="-static-libs*" ABI_X86="(64) (-32) (-x32)" 273 kB
[nomerge ] mail-client/evolution-3.10.4-r1:2.0 USE="bogofilter crypt gstreamer ldap ssl weather -highlight -kerberos -map -spamassassin"
[nomerge ] net-libs/webkit-gtk-2.2.6:3/29 USE="egl geoloc gstreamer introspection jit libsecret opengl spell webgl (-aqua) -coverage -debug -gles2 {-test}"
[nomerge ] app-accessibility/at-spi2-core-2.10.2:2 USE="X introspection"
[ebuild R ] x11-libs/libXtst-1.2.2 USE="-doc -static-libs*" ABI_X86="(64) (-32) (-x32)" 315 kB
[ebuild R ] x11-libs/libXcomposite-0.4.4-r1 USE="-doc -static-libs*" ABI_X86="(64) (-32) (-x32)" 278 kB
[nomerge ] x11-wm/mutter-3.10.4 USE="introspection -debug {-test}"
[nomerge ] media-libs/cogl-1.16.2:1.0/15 USE="introspection opengl pango -debug -examples -gles2 (-gstreamer) {-test}"
[ebuild R ] x11-libs/libXrandr-1.4.2 USE="-static-libs*" ABI_X86="(64) (-32) (-x32)" 308 kB
[ebuild R ] x11-libs/libXi-1.7.2 USE="-doc -static-libs*" ABI_X86="(64) (-32) (-x32)" 431 kB
[ebuild R ] x11-libs/libXfixes-5.0.1 USE="-static-libs*" ABI_X86="(64) (-32) (-x32)" 286 kB
[ebuild R ] x11-libs/libXrender-0.9.8 USE="-static-libs*" ABI_X86="(64) (-32) (-x32)" 299 kB
[ebuild R ] x11-libs/libXext-1.3.2 USE="-doc -static-libs*" ABI_X86="(64) (-32) (-x32)" 371 kB
[ebuild R ] x11-libs/libX11-1.6.2 USE="ipv6 -doc -static-libs* {-test}" ABI_X86="(64) (-32) (-x32)" 2,286 kB
[ebuild R ] x11-libs/libxcb-1.10 USE="xkb -doc (-selinux) -static-libs*" ABI_X86="(64) (-32) (-x32)" 465 kB
[ebuild R ] dev-libs/libxslt-1.1.28-r1 USE="crypt python -debug -static-libs*" PYTHON_TARGETS="python2_7 (-python2_6)" 3,356 kB
[nomerge ] gnome-base/gnome-core-apps-3.10.0:3.0 USE="bluetooth cdr cups"
[nomerge ] gnome-extra/evolution-data-server-3.10.4:0/45 USE="gnome-online-accounts gtk introspection ipv6 ldap vala weather -api-doc-extras -kerberos {-test}"
[nomerge ] dev-libs/libgdata-0.14.1:0/13 USE="gnome introspection vala -debug -static-libs*"
[nomerge ] app-crypt/gcr-3.10.1:0/1 USE="gtk introspection vala -debug {-test}"
[nomerge ] app-crypt/gnupg-2.0.22 USE="bzip2 ldap nls readline usb -adns -doc -mta (-selinux) -smartcard -static"
[ebuild R ] dev-libs/libksba-1.3.0 USE="-static-libs*" 611 kB
[nomerge ] sys-fs/cryptsetup-1.6.2 USE="gcrypt nls python udev -kernel -nettle -openssl -reencrypt (-static) (-static-libs) -urandom" PYTHON_SINGLE_TARGET="python2_7 (-python2_6)" PYTHON_TARGETS="python2_7 (-python2_6)"
[ebuild R ] sys-libs/e2fsprogs-libs-1.42.7 USE="nls -static-libs*" 559 kB
[nomerge ] gnome-base/gnome-core-apps-3.10.0:3.0 USE="bluetooth cdr cups"
[nomerge ] app-crypt/seahorse-3.10.2-r1 USE="ldap -avahi -debug"
[nomerge ] app-crypt/gpgme-1.3.2:1 USE="-common-lisp -static-libs*"
[ebuild R ] dev-libs/libassuan-2.1.1 USE="-static-libs*" 526 kB
[nomerge ] sys-fs/cryptsetup-1.6.2 USE="gcrypt nls python udev -kernel -nettle -openssl -reencrypt (-static) (-static-libs) -urandom" PYTHON_SINGLE_TARGET="python2_7 (-python2_6)" PYTHON_TARGETS="python2_7 (-python2_6)"
[ebuild R ] dev-libs/popt-1.16-r1 USE="nls -static-libs*" 687 kB
[nomerge ] gnome-base/gnome-control-center-3.10.3:2 USE="bluetooth colord cups gnome-online-accounts i18n socialweb -debug -kerberos -v4l" INPUT_DEVICES="-wacom"
[nomerge ] app-admin/system-config-printer-gnome-1.4.3-r1 USE="gnome-keyring" LINGUAS="-ar -as -bg -bn -bn_IN -br -bs -ca -cs -cy -da -de -el -en_GB -es -et -fa -fi -fr -gu -he -hi -hr -hu -hy -id -is -it -ja -ka -kn -ko -lo -lv -mai -mk -ml -mr -ms -nb -nl -nn -or -pa -pl -pt -pt_BR -ro -ru -si -sk -sl -sr -sr@latin -sv -ta -te -th -tr -uk -vi -zh_CN -zh_TW" PYTHON_SINGLE_TARGET="python2_7 (-python2_6)" PYTHON_TARGETS="python2_7 (-python2_6)"
[nomerge ] app-admin/system-config-printer-common-1.4.3 USE="policykit -doc" PYTHON_SINGLE_TARGET="python2_7 (-python2_6)" PYTHON_TARGETS="python2_7 (-python2_6)"
[nomerge ] net-print/cups-1.7.1-r1 USE="X acl dbus pam python ssl systemd threads usb -debug -gnutls -java -kerberos -lprng-compat (-selinux) -static-libs* -xinetd -zeroconf" LINGUAS="-ca -es -fr -it -ja -ru" PYTHON_SINGLE_TARGET="python2_7 (-python2_6)" PYTHON_TARGETS="python2_7 (-python2_6)"
[ebuild R ] sys-apps/acl-2.2.51 USE="nls (-nfs) -static-libs*" 377 kB
[ebuild R ] sys-apps/attr-2.4.47-r1 USE="nls -static-libs*" ABI_X86="(64) (-32) (-x32)" 336 kB
[nomerge ] gnome-base/gnome-extra-apps-3.10.0-r1:3.0 USE="games shotwell tracker"
[nomerge ] gnome-extra/gnome-tweak-tool-3.10.1 PYTHON_TARGETS="python2_7"
[nomerge ] gnome-base/gnome-shell-3.10.4-r2 USE="bluetooth i18n networkmanager (-openrc-force)" PYTHON_TARGETS="python2_7"
[nomerge ] dev-libs/libxslt-1.1.28-r1 USE="crypt python -debug -static-libs*" PYTHON_TARGETS="python2_7 (-python2_6)"
[ebuild R ] dev-libs/libgcrypt-1.5.3:0/11 USE="-static-libs*" 1,474 kB
[ebuild R ] dev-libs/libgpg-error-1.12 USE="nls -common-lisp -static-libs*" 478 kB
[ebuild R ] sys-devel/binutils-2.23.2 USE="cxx nls zlib -multislot -multitarget -static-libs* {-test} -vanilla" 20,949 kB
[ebuild R ] sys-devel/gettext-0.18.3.2 USE="acl cxx ncurses nls openmp -cvs -doc -emacs -git -java -static-libs*" ABI_X86="(64) (-32) (-x32)" 15,810 kB
[ebuild R ] sys-process/procps-3.3.9 USE="ncurses nls unicode -static-libs* {-test}" 548 kB
[ebuild R ] sys-libs/ncurses-5.9-r3:5 USE="cxx gpm unicode -ada -debug -doc -minimal -profile -static-libs* -tinfo -trace" ABI_X86="(64) (-32) (-x32)" 2,761 kB
[nomerge ] gnome-base/gnome-core-apps-3.10.0:3.0 USE="bluetooth cdr cups"
[nomerge ] app-cdr/brasero-3.10.0:0/3.1 USE="css introspection libburn mp3 nautilus (-packagekit) -playlist {-test} -tracker"
[ebuild R ] dev-libs/libisofs-1.3.4 USE="acl zlib -debug -static-libs* -verbose-debug -xattr" 753 kB
[ebuild R ] virtual/acl-0-r1 USE="-static-libs*" 0 kB
[ebuild R ] dev-libs/libusb-compat-0.1.5-r2 USE="-debug -examples -static-libs*" ABI_X86="(64) (-32) (-x32)" 271 kB
[nomerge ] net-misc/mediatomb-0.12.1-r7 USE="exif ffmpeg flac inotify javascript magic mp4 mysql sqlite taglib zlib -curl -debug -id3tag -lastfm -libextractor -thumbnail"
[ebuild R ] dev-lang/spidermonkey-1.8.5-r4:0/mozjs185 USE="-debug -minimal -static-libs* {-test}" 6,021 kB
[nomerge ] media-plugins/gst-plugins-meta-0.10-r8:0.10 USE="X a52 aac alsa cdda dts dvd ffmpeg flac mp3 mpeg ogg pulseaudio vorbis x264 xv xvid -dv -dvb -http -jack -lame -libass -libvisual -mms -musepack -opus -oss -taglib -theora -v4l -vcd -vpx -wavpack"
[nomerge ] media-plugins/gst-plugins-cdparanoia-0.10.36:0.10
[ebuild R ] media-sound/cdparanoia-3.10.2-r6 USE="-static-libs*" ABI_X86="(64) (-32) (-x32)" 186 kB
[nomerge ] sci-libs/scipy-0.14.0 USE="-doc -sparse {-test}" PYTHON_TARGETS="python2_7 (-python2_6) -python3_2 -python3_3 -python3_4"
[ebuild R ] sci-libs/arpack-0.96-r3 USE="-doc -examples -mpi -static-libs*" 1,613 kB
[nomerge ] media-libs/memphis-0.2.3:0.2 USE="introspection vala -debug -doc -static-libs*"
[nomerge ] x11-libs/cairo-1.12.16 USE="X glib opengl svg xcb (-aqua) -debug -directfb -doc (-drm) (-gallium) (-gles2) -legacy-drivers -openvg (-qt4) -static-libs* -valgrind -xlib-xcb"
[ebuild R ] media-libs/fontconfig-2.10.92:1.0 USE="-doc -static-libs*" ABI_X86="(64) (-32) (-x32)" 1,490 kB
[nomerge ] x11-base/xorg-server-1.15.0:0/1.15.0 USE="ipv6 kdrive nptl suid udev xorg -dmx -doc -minimal (-selinux) -static-libs* -tslib -unwind -xnest -xvfb"
[ebuild R ] x11-libs/libXfont-1.4.8 USE="bzip2 ipv6 truetype -doc -static-libs*" 480 kB
[nomerge ] gnome-base/gnome-extra-apps-3.10.0-r1:3.0 USE="games shotwell tracker"
[nomerge ] media-sound/sound-juicer-3.5.1_pre20130826 USE="flac vorbis -debug {-test}"
[nomerge ] media-libs/musicbrainz-5.0.1:5 USE="-examples {-test}"
[ebuild R ] net-libs/neon-0.30.0:0/27 USE="nls ssl zlib -doc -expat -gnutls -kerberos -libproxy -pkcs11 -static-libs*" LINGUAS="-cs -de -fr -ja -nn -pl -ru -tr -zh_CN" 889 kB
[nomerge ] gnome-base/gnome-control-center-3.10.3:2 USE="bluetooth colord cups gnome-online-accounts i18n socialweb -debug -kerberos -v4l" INPUT_DEVICES="-wacom"
[nomerge ] net-misc/networkmanager-0.9.8.8 USE="bluetooth dhclient introspection modemmanager nss ppp systemd vala wext wifi -avahi -connection-sharing (-consolekit) -dhcpcd -gnutls -resolvconf {-test}"
[nomerge ] net-wireless/wpa_supplicant-2.0-r2 USE="dbus readline ssl -ap -eap-sim -fasteap -gnutls -p2p (-ps3) -qt4 (-selinux) -smartcard -wimax -wps"
[ebuild R ] dev-libs/libnl-3.2.23:3 USE="python -static-libs* -utils" PYTHON_TARGETS="python2_7 python3_3 (-python2_6) -python3_2" 749 kB
[nomerge ] gnome-extra/gnome-documents-3.10.2
[nomerge ] app-text/evince-3.10.3:0/evd3.4-evv3.3 USE="introspection libsecret nautilus postscript tiff -debug -djvu -dvi -t1lib -xps"
[nomerge ] app-crypt/libsecret-0.16 USE="crypt introspection vala -debug {-test}"
[nomerge ] gnome-base/gnome-keyring-3.10.1 USE="caps filecaps pam -debug (-selinux) {-test}"
[ebuild R ] sys-libs/libcap-ng-0.7.3 USE="python -static-libs*" 384 kB
[nomerge ] net-print/cups-filters-1.0.53 USE="dbus foomatic jpeg png tiff -perl -static-libs* -zeroconf"
[ebuild U ] app-text/qpdf-5.1.1:0/13 [4.1.0:0/10] USE="-doc -examples -static-libs* {-test}" 7,484 kB
[ebuild R ] dev-libs/libpcre-8.33:3 USE="bzip2 cxx jit readline recursion-limit (unicode) zlib -libedit -pcre16 -pcre32 -static-libs*" 1,408 kB
[nomerge ] app-admin/system-config-printer-common-1.4.3 USE="policykit -doc" PYTHON_SINGLE_TARGET="python2_7 (-python2_6)" PYTHON_TARGETS="python2_7 (-python2_6)"
[nomerge ] dev-python/pycurl-7.19.0-r3 USE="ssl -examples" CURL_SSL="nss -gnutls -openssl" PYTHON_TARGETS="python2_7 python3_3 (-python2_6) -python3_2"
[ebuild R ] net-misc/curl-7.36.0 USE="ipv6 ldap ssl -adns -idn -kerberos -metalink -rtmp -ssh -static-libs* {-test} -threads" CURL_SSL="nss -axtls -cyassl -gnutls -openssl -polarssl" 2,744 kB
[nomerge ] media-gfx/shotwell-0.15.1 LINGUAS="-af -af_ZA -ar -as -ast -bg -bn -bn_IN -ca -cs -da -de -el -en_GB -eo -es -et -eu -fi -fr -gl -gu -he -hi -hr -hu -ia -id -id_ID -it -ja -kk -km -kn -ko -ky -lt -lv -mk -ml -mr -nb -nl -nn_NO -or -pa -pl -pt -pt_BR -ro -ru -sk -sl -sr -sv -ta -ta_IN -te -te_IN -th -tr -uk -vi -zh_CN -zh_TW"
[ebuild R ] dev-db/sqlite-3.8.2:3 USE="readline -debug -doc -icu -secure-delete -static-libs* -tcl {-test}" 1,873 kB
[ebuild R ] dev-libs/libxml2-2.9.1-r4:2 USE="ipv6 python readline -debug -examples -icu -lzma -static-libs* {-test}" ABI_X86="(64) (-32) (-x32)" PYTHON_TARGETS="python2_7 python3_3 (-python2_6) -python3_2 (-python3_4)" 5,052 kB
[nomerge ] sys-fs/lvm2-2.02.103 USE="lvm1 readline thin udev (-clvm) (-cman) -lvm2create_initrd (-selinux) (-st
Back to top
View user's profile Send private message
woodshop
n00b
n00b


Joined: 15 Feb 2004
Posts: 34

PostPosted: Sun Jun 08, 2014 7:10 pm    Post subject: Reply with quote

apparently it got cut off.
but, its clean..
build in progress..
Back to top
View user's profile Send private message
Progman3K
Guru
Guru


Joined: 03 Jan 2004
Posts: 593

PostPosted: Wed Jun 11, 2014 9:06 pm    Post subject: Works for me! Reply with quote

I am running kernel 3.10.17-gentoo-r6 x86_64 gcc-4.7.3
I have exactly the same problem and the proposed solution worked for me.
Rebuilding with -static-libs brought everything up to date and got rid of the blocking messages.
Thank you!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum